<?php
$jsonFilePath = '../tian/data.json';
if (!file_exists($jsonFilePath)) {
    echo '<div class="alert alert-danger d-flex align-items-center" role="alert">';
    echo '<i class="fas fa-exclamation-triangle mr-2"></i>';
    echo '<div>';
    echo 'File tidak ditemukan: <strong>' . htmlspecialchars($jsonFilePath) . '</strong>. Silakan periksa kembali.';
    echo '</div>';
    echo '</div>';
    echo '<div class="alert alert-warning" role="alert">';
    echo 'Jika masalah ini berlanjut, hubungi developer melalui WhatsApp di <strong><a href="https://wa.me/6282257561165" class="text-primary">0822-5756-1165</a></strong> untuk bantuan lebih lanjut.';
    echo '</div>';
    exit;
}
$data = json_decode(file_get_contents($jsonFilePath ), true);
$pageTitle = isset($data['page_title']) ? $data['page_title'] : 'Judul Tidak Ditemukan';
$url = isset($data['url']) ? $data['url'] : '#';
$domain = isset($data['domain']) ? $data['domain'] : '#';
$webIcon = isset($data['web_icon']) ? $url . '/img/' . $data['web_icon'] : '';
$tumbn = isset($data['bg_header']) ? $data['bg_header'] : '#';
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta name="description" content="Read our Disclaimer to understand the legal limitations and terms of use for <?php echo htmlspecialchars($pageTitle); ?>. Ensure you're aware of the guidelines and responsibilities.">
  <meta name="keywords" content="disclaimer, legal limitations, terms of use, <?php echo htmlspecialchars($pageTitle); ?>">
  <meta name="author" content="<?php echo htmlspecialchars($pageTitle); ?>">
  <meta property="og:title" content="<?php echo htmlspecialchars($pageTitle); ?> - Disclaimer">
  <meta property="og:description" content="Read our Disclaimer to understand the legal limitations and terms of use for <?php echo htmlspecialchars($pageTitle); ?>. Ensure you're aware of the guidelines and responsibilities.">
  <meta property="og:image" content="<?php echo htmlspecialchars($url); ?>/img/<?php echo htmlspecialchars($tumbn); ?>">
  <meta property="og:url" content="<?php echo htmlspecialchars($currentUrl); ?>">
  <meta property="og:type" content="website">
  <meta property="og:site_name" content="<?php echo htmlspecialchars($pageTitle); ?>">
  <meta name="twitter:card" content="summary_large_image">
  <meta name="twitter:title" content="<?php echo htmlspecialchars($pageTitle); ?> - Disclaimer">
  <meta name="twitter:description" content="Read our Disclaimer to understand the legal limitations and terms of use for <?php echo htmlspecialchars($pageTitle); ?>. Ensure you're aware of the guidelines and responsibilities.">
  <meta name="twitter:image" content="<?php echo htmlspecialchars($url); ?>/img/<?php echo htmlspecialchars($tumbn); ?>">
  <meta name="twitter:site" content="@asupanviral">
  <title><?php echo htmlspecialchars($pageTitle); ?> - Disclaimer</title>
  <link rel="icon" href="<?php echo htmlspecialchars($webIcon); ?>" type="image/x-icon">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <link rel="stylesheet" href="../css/fontawesome-pro/css/all.min.css">
  <link rel="stylesheet" href="../css/styles.css">
  <script type="application/ld+json">
  {
    "@context": "https://schema.org",
    "@type": "WebPage",
    "name": "<?php echo htmlspecialchars($pageTitle); ?> - Disclaimer",
    "description": "Read our Disclaimer to understand the legal limitations and terms of use for <?php echo htmlspecialchars($pageTitle); ?>. Ensure you're aware of the guidelines and responsibilities.",
    "url": "<?php echo htmlspecialchars($currentUrl); ?>",
    "publisher": {
      "@type": "Organization",
      "name": "<?php echo htmlspecialchars($pageTitle); ?>",
      "logo": {
        "@type": "ImageObject",
        "url": "<?php echo htmlspecialchars($url); ?>/img/<?php echo htmlspecialchars($tumbn); ?>",
        "width": 600,
        "height": 60
      }
    }
  }
  </script>
</head>
<body>
<?php include '../tian/header.php'; ?>
<?php include '../tian/sidebar.php'; ?>
  <div class="info-container">
    <a href="/" class="badge badge-warning badge-pill d-flex align-items-center p-2">
        <i class="fa-solid fa-house-chimney mr-1"></i> Home <i class="fa-solid fa-chevrons-right ml-1 mr-1"></i> Disclaimer
    </a>
    <button id="themeToggle" class="btn btn-info btn-sm">
      <i class="fa-solid fa-moon-cloud"></i>
      <span id="themeToggleText"></span>
    </button>
  </div>
    <div class="container mt-5">
      <div class="text-center mb-2">
        <h1 class="badge badge-primary" style="font-size: 1.2rem;">Disclaimer</h1>
      </div>
      <div class="row">
        <div class="col-md-8 offset-md-2">
          <div class="bg-dark p-4 rounded-lg shadow-lg border border-light">
            <h2 class="badge badge-danger" style="font-size: 1.2rem;">Introduction</h2>
            <p class="mb-4" style="font-size: 0.875rem;">Welcome to <?php echo htmlspecialchars($pageTitle); ?>. This disclaimer outlines the legal limitations and terms of use for our website. Please review these terms carefully.</p>
            
            <h2 class="badge badge-danger" style="font-size: 1.2rem;">No Warranty</h2>
            <p class="mb-4" style="font-size: 0.875rem;">The information and services provided on this site are for informational purposes only. We make no warranties regarding the accuracy, reliability, or completeness of the content.</p>
            
            <h2 class="badge badge-danger" style="font-size: 1.2rem;">Limitation of Liability</h2>
            <p class="mb-4" style="font-size: 0.875rem;">We are not liable for any direct, indirect, incidental, or consequential damages arising from your use of this site. Your use of the site is at your own risk.</p>
            
            <h2 class="badge badge-danger" style="font-size: 1.2rem;">External Links</h2>
            <p class="mb-4" style="font-size: 0.875rem;">Our website may contain links to third-party websites. We do not endorse or assume responsibility for the content or practices of these external sites.</p>
            
            <h2 class="badge badge-danger" style="font-size: 1.2rem;">Changes to Disclaimer</h2>
            <p class="mb-4" style="font-size: 0.875rem;">We reserve the right to update or modify this disclaimer at any time. Changes will be effective immediately upon posting. Your continued use of the site signifies your acceptance of the updated disclaimer.</p>
            
            <h2 class="badge badge-danger" style="font-size: 1.2rem;">Governing Law</h2>
            <p class="mb-4" style="font-size: 0.875rem;">This disclaimer is governed by and construed in accordance with the laws of [Your Country/State]. Any disputes arising out of or related to this disclaimer shall be resolved in the courts located in [Your Jurisdiction].</p>
            
            <h2 class="badge badge-danger" style="font-size: 1.2rem;">Contact Us</h2>
            <p class="mb-4" style="font-size: 0.875rem;">If you have any questions or concerns about this disclaimer, please contact us at <a href="mailto:info@asupanviral.info">info@asupanviral.info</a>.</p>
          </div>
        </div>
      </div>
    </div>
    <?php include '../tian/footer.php'; ?>
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.5.2/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="../js/script.js"></script>
    <?php include '../tian/histats.php'; ?>
</body>
</html>