<?php
$jsonFilePath = '../tian/data.json';
if (!file_exists($jsonFilePath)) {
    echo '<div class="alert alert-danger d-flex align-items-center" role="alert">';
    echo '<i class="fas fa-exclamation-triangle mr-2"></i>';
    echo '<div>';
    echo 'File tidak ditemukan: <strong>' . htmlspecialchars($jsonFilePath) . '</strong>. Silakan periksa kembali.';
    echo '</div>';
    echo '</div>';
    echo '<div class="alert alert-warning" role="alert">';
    echo 'Jika masalah ini berlanjut, hubungi developer melalui WhatsApp di <strong><a href="https://wa.me/6282257561165" class="text-primary">0822-5756-1165</a></strong> untuk bantuan lebih lanjut.';
    echo '</div>';
    exit;
}
$data = json_decode(file_get_contents($jsonFilePath ), true);
$pageTitle = isset($data['page_title']) ? $data['page_title'] : 'Judul Tidak Ditemukan';
$url = isset($data['url']) ? $data['url'] : '#';
$domain = isset($data['domain']) ? $data['domain'] : '#';
$webIcon = isset($data['web_icon']) ? $url . '/img/' . $data['web_icon'] : '';
$tumbn = isset($data['bg_header']) ? $data['bg_header'] : '#';
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta name="description" content="Read our DMCA Policy to understand the procedures for reporting copyright infringement on <?php echo htmlspecialchars($pageTitle); ?>. Learn about your rights and how to protect your content.">
  <meta name="keywords" content="DMCA, copyright, infringement, <?php echo htmlspecialchars($pageTitle); ?>">
  <meta name="author" content="<?php echo htmlspecialchars($pageTitle); ?>">
  <meta property="og:title" content="<?php echo htmlspecialchars($pageTitle); ?> - DMCA Policy">
  <meta property="og:description" content="Read our DMCA Policy to understand the procedures for reporting copyright infringement on <?php echo htmlspecialchars($pageTitle); ?>. Learn about your rights and how to protect your content.">
  <meta property="og:image" content="<?php echo htmlspecialchars($url); ?>/img/<?php echo htmlspecialchars($tumbn); ?>">
  <meta property="og:url" content="<?php echo htmlspecialchars($currentUrl); ?>">
  <meta property="og:type" content="website">
  <meta property="og:site_name" content="<?php echo htmlspecialchars($pageTitle); ?>">
  <meta name="twitter:card" content="summary_large_image">
  <meta name="twitter:title" content="<?php echo htmlspecialchars($pageTitle); ?> - DMCA Policy">
  <meta name="twitter:description" content="Read our DMCA Policy to understand the procedures for reporting copyright infringement on <?php echo htmlspecialchars($pageTitle); ?>. Learn about your rights and how to protect your content.">
  <meta name="twitter:image" content="<?php echo htmlspecialchars($url); ?>/img/<?php echo htmlspecialchars($tumbn); ?>">
  <meta name="twitter:site" content="@asupanviral">
  <title><?php echo htmlspecialchars($pageTitle); ?> - DMCA Policy</title>
  <link rel="icon" href="<?php echo htmlspecialchars($webIcon); ?>" type="image/x-icon">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <link rel="stylesheet" href="../css/fontawesome-pro/css/all.min.css">
  <link rel="stylesheet" href="../css/styles.css">
  <script type="application/ld+json">
  {
    "@context": "https://schema.org",
    "@type": "WebPage",
    "name": "<?php echo htmlspecialchars($pageTitle); ?> - DMCA Policy",
    "description": "Read our DMCA Policy to understand the procedures for reporting copyright infringement on <?php echo htmlspecialchars($pageTitle); ?>. Learn about your rights and how to protect your content.",
    "url": "<?php echo htmlspecialchars($currentUrl); ?>",
    "publisher": {
      "@type": "Organization",
      "name": "<?php echo htmlspecialchars($pageTitle); ?>",
      "logo": {
        "@type": "ImageObject",
        "url": "<?php echo htmlspecialchars($url); ?>/img/<?php echo htmlspecialchars($tumbn); ?>",
        "width": 600,
        "height": 60
      }
    }
  }
  </script>
</head>
<body>
<?php include '../tian/header.php'; ?>
<?php include '../tian/sidebar.php'; ?>
  <div class="info-container">
    <a href="/" class="badge badge-warning badge-pill d-flex align-items-center p-2">
        <i class="fa-solid fa-house-chimney mr-1"></i> Home <i class="fa-solid fa-chevrons-right ml-1 mr-1"></i> DMCA Policy
    </a>
    <button id="themeToggle" class="btn btn-info btn-sm">
      <i class="fa-solid fa-moon-cloud"></i>
      <span id="themeToggleText"></span>
    </button>
  </div>
    <div class="container mt-5">
        <div class="text-center mb-2">
            <h1 class="badge badge-primary" style="font-size: 1.2rem;">DMCA Policy</h1>
        </div>
        <div class="row">
            <div class="col-md-8 offset-md-2">
                <div class="bg-dark p-4 rounded-lg shadow-lg border border-light">
                    <h2 class="badge badge-danger" style="font-size: 1.2rem;">Introduction</h2>
                    <p class="mb-4" style="font-size: 0.875rem;"><?php echo htmlspecialchars($pageTitle); ?> is committed to protecting intellectual property rights. This DMCA Policy outlines the process for reporting copyright violations and our response to such claims.</p>
    
                    <h2 class="badge badge-danger" style="font-size: 1.2rem;">Reporting Infringement</h2>
                    <p class="mb-4" style="font-size: 0.875rem;">If you believe that your copyrighted content has been used without permission, please send us a detailed written notice including:</p>
                    <ul>
                        <li>A description of the copyrighted work in question.</li>
                        <li>The specific location of the infringing material on our site.</li>
                        <li>Your contact information including address, phone number, and email.</li>
                        <li>A statement confirming your good faith belief that the use is unauthorized.</li>
                        <li>A declaration that the information provided is accurate and that you are authorized to act on behalf of the copyright owner.</li>
                        <li>Your signature, either physical or electronic.</li>
                    </ul>
                    <p class="mb-4" style="font-size: 0.875rem;">Send your notice to: <a href="mailto:info@asupanviral.info">info@asupanviral.info</a></p>
    
                    <h2 class="badge badge-danger" style="font-size: 1.2rem;">Submitting a Counter-Notice</h2>
                    <p class="mb-4" style="font-size: 0.875rem;">If your content was removed by mistake, you may submit a counter-notice with:</p>
                    <ul>
                        <li>Your contact details including name, address, and phone number.</li>
                        <li>A description of the material removed and its previous location.</li>
                        <li>A statement under penalty of perjury that the material was removed due to a mistake.</li>
                        <li>Your signature, either physical or electronic.</li>
                    </ul>
                    <p class="mb-4" style="font-size: 0.875rem;">Send your counter-notice to: <a href="mailto:info@asupanviral.info">info@asupanviral.info</a></p>
    
                    <h2 class="badge badge-danger" style="font-size: 1.2rem;">Policy on Repeat Infringers</h2>
                    <p class="mb-4" style="font-size: 0.875rem;">We may terminate the accounts of users who repeatedly infringe on copyrights.</p>
    
                    <h2 class="badge badge-danger" style="font-size: 1.2rem;">Policy Updates</h2>
                    <p class="mb-4" style="font-size: 0.875rem;">This DMCA Policy may be updated periodically. Please review this page regularly to stay informed of any changes.</p>
    
                    <p class="mb-4" style="font-size: 0.875rem;">Last updated: September 13, 2024</p>
                </div>
            </div>
        </div>
    </div>
    <?php include '../tian/footer.php'; ?>
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.5.2/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="../js/script.js"></script>
    <?php include '../tian/histats.php'; ?>
</body>
</html>