<?php
$file_code = isset($_GET['v']) ? $_GET['v'] : null;
$error_message = '';
$config = require $_SERVER['DOCUMENT_ROOT'] . '/api/config.php';
$tian_apikey = $config['apikey_lulustream'] ?? '';
$fld_id = $config['folder_id'] ?? '';
$file_info = [];
if ($file_code) {
    $api_url = "https://api.lulustream.com/api/file/info?key=" . $tian_apikey . "&file_code=" . urlencode($file_code);
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $api_url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, true);
    $response = curl_exec($ch);
    if (curl_errno($ch)) {
        $error_message = 'Kesalahan Curl: ' . curl_error($ch);
    } else {
        $data = json_decode($response, true);
        if ($data && $data['status'] == 200 && !empty($data['result'])) {
            $file_info = $data['result'][0];
            if (isset($file_info['file_created'])) {
                $date = new DateTime($file_info['file_created']);
                $file_info['file_created'] = $date->setTimezone(new DateTimeZone('Asia/Jakarta'))->format('F j, Y');
            }
        } else {
            $error_message = "Error: Detail file tidak ditemukan.";
        }
    }
    curl_close($ch);
} else {
    $error_message = "Error: Parameter fileCode hilang.";
}
$related_api_url = "https://api.lulustream.com/api/file/list?key=" . $tian_apikey . "&fld_id=" . $fld_id . "&per_page=5000";
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $related_api_url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, true);
$related_response = curl_exec($ch);
if (curl_errno($ch)) {
    $related_error_message = 'Kesalahan Curl: ' . curl_error($ch);
    $related_files = [];
} else {
    $related_data = json_decode($related_response, true);
    $related_files = isset($related_data['result']['files']) ? $related_data['result']['files'] : [];
}
curl_close($ch);
shuffle($related_files);
$related_files = array_slice($related_files, 0, 10);
function formatDuration($seconds) {
    $hours = floor($seconds / 3600);
    $minutes = floor(($seconds % 3600) / 60);
    $seconds = $seconds % 60;
    return sprintf("%02d:%02d:%02d", $hours, $minutes, $seconds);
}
$jsonFilePath = '../tian/data.json';
if (!file_exists($jsonFilePath)) {
    echo '<div class="alert alert-danger d-flex align-items-center" role="alert">';
    echo '<i class="fas fa-exclamation-triangle mr-2"></i>';
    echo '<div>';
    echo 'File tidak ditemukan: <strong>' . htmlspecialchars($jsonFilePath) . '</strong>. Silakan periksa kembali.';
    echo '</div>';
    echo '</div>';
    echo '<div class="alert alert-warning" role="alert">';
    echo 'Jika masalah ini berlanjut, hubungi developer melalui WhatsApp di <strong><a href="https://wa.me/6282257561165" class="text-primary">0822-5756-1165</a></strong> untuk bantuan lebih lanjut.';
    echo '</div>';
    exit;
}
$data = json_decode(file_get_contents($jsonFilePath ), true);
$pageTitle = isset($data['page_title']) ? $data['page_title'] : 'Judul Tidak Ditemukan';
$current_url = "https://" . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="<?php echo isset($file_info['file_title']) ? htmlspecialchars($file_info['file_title']) . ' - Discover the latest trending videos and curated popular content on <?php echo $webIcon; ?>. Explore now and enjoy the best entertainment' : 'Discover the latest trending videos and curated popular content on ' . htmlspecialchars($pageTitle) . '. Explore now and enjoy the best entertainment'; ?>">
    <meta name="keywords" content="<?php echo isset($file_info['file_title']) ? htmlspecialchars($file_info['file_title']) . ', Jav HD, AV Empire, AV Jav, Trending Video' : 'Jav HD, AV Empire, AV Jav, Trending Video'; ?>">
    <meta name="robots" content="index, follow">
    <meta property="og:title" content="<?php echo isset($file_info['file_title']) ? htmlspecialchars($file_info['file_title']) . ' - Latest Trending Videos on ' . htmlspecialchars($pageTitle) . '.' : 'Latest Trending Videos on ' . htmlspecialchars($pageTitle) . ''; ?>">
    <meta property="og:description" content="<?php echo isset($file_info['file_title']) ? htmlspecialchars($file_info['file_title']) . ' - Discover the latest trending videos and curated popular content on ' . htmlspecialchars($pageTitle) . '. Explore now and enjoy the best entertainment' : 'Discover the latest trending videos and curated popular content on ' . htmlspecialchars($pageTitle) . '. Explore now and enjoy the best entertainment'; ?>">
    <meta property="og:image" content="<?php echo isset($file_info['player_img']) ? htmlspecialchars($file_info['player_img']) : '../img/asupanviral.ico'; ?>">
    <meta property="og:url" content="<?php echo htmlspecialchars($current_url); ?>">
    <meta property="og:type" content="video.other">
    <meta name="author" content="<?php echo htmlspecialchars($pageTitle); ?> Team">
    <meta itemprop="name" content="<?php echo isset($file_info['file_title']) ? htmlspecialchars($file_info['file_title']) : 'Asupan Viral.'; ?>">
    <meta itemprop="description" content="<?php echo htmlspecialchars($file_info['file_title'] ?? '') . ' - Discover the latest trending videos and curated popular content on ' . htmlspecialchars($pageTitle) . '. Explore now and enjoy the best entertainment'; ?>">
    <meta itemprop="image" content="<?php echo isset($file_info['player_img']) ? htmlspecialchars($file_info['player_img']) : '../img/asupanviral.ico'; ?>">
    <meta name="twitter:card" content="summary_large_image">
    <meta name="twitter:title" content="<?php echo isset($file_info['file_title']) ? htmlspecialchars($file_info['file_title']) . ' - Latest Trending Videos on ' . htmlspecialchars($pageTitle) . '.' : 'Latest Trending Videos on ' . htmlspecialchars($pageTitle) . ''; ?>">
    <meta name="twitter:description" content="<?php echo isset($file_info['file_title']) ? htmlspecialchars($file_info['file_title']) . ' - Discover the latest trending videos and curated popular content on ' . htmlspecialchars($pageTitle) . '. Explore now and enjoy the best entertainment' : 'Discover the latest trending videos and curated popular content on ' . htmlspecialchars($pageTitle) . '. Explore now and enjoy the best entertainment'; ?>">
    <meta name="twitter:image" content="<?php echo isset($file_info['player_img']) ? htmlspecialchars($file_info['player_img']) : '../img/asupanviral.ico'; ?>">
    <title><?php echo isset($file_info['file_title']) ? htmlspecialchars($file_info['file_title']) . ' - Latest Trending Videos on ' . htmlspecialchars($pageTitle) . '.' : 'Latest Trending Videos on ' . htmlspecialchars($pageTitle) . '.'; ?></title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="../css/fontawesome-pro/css/all.min.css">
    <link rel="stylesheet" href="../css/styles.css">
    <link rel="canonical" href="<?php echo htmlspecialchars($current_url); ?>">
    <link rel="icon" href="<?php echo isset($file_info['player_img']) ? htmlspecialchars($file_info['player_img']) : '../img/asupanviral.ico'; ?>" type="image/x-icon">
    <script type="application/ld+json">
    {
        "@context": "https://schema.org",
        "@type": "VideoObject",
        "name": "<?php echo htmlspecialchars($file_info['file_title'] ?? 'Trending Videos') . ' - Latest Trending Videos on ' . htmlspecialchars($pageTitle) . ''; ?>",
        "description": "<?php echo htmlspecialchars($file_info['file_title'] ?? '') . ' - Discover the latest trending videos and curated popular content on ' . htmlspecialchars($pageTitle) . '. Explore now and enjoy the best entertainment'; ?>",
        "thumbnailUrl": "<?php echo htmlspecialchars($file_info['player_img'] ?? 'https://upload.wikimedia.org/wikipedia/commons/thumb/d/d1/Image_not_available.png/800px-Image_not_available.png'); ?>",
        "uploadDate": "<?php echo isset($file_info['file_created']) ? (new DateTime($file_info['file_created']))->setTimezone(new DateTimeZone('Asia/Jakarta'))->format('Y-m-d\TH:i:sP') : (new DateTime())->setTimezone(new DateTimeZone('Asia/Jakarta'))->format('Y-m-d\TH:i:sP'); ?>",
        "contentUrl": "<?php echo htmlspecialchars($current_url); ?>",
        "interactionCount": "<?php echo htmlspecialchars($file_info['file_views'] ?? 0); ?>",
        "duration": "<?php echo isset($file_info['file_length']) ? 'PT' . floor($file_info['file_length'] / 3600) . 'H' . floor(($file_info['file_length'] % 3600) / 60) . 'M' . ($file_info['file_length'] % 60) . 'S' : 'PT0S'; ?>",
        "publisher": {
            "@type": "Organization",
            "name": "<?php echo htmlspecialchars($pageTitle); ?>"
        },
        "genre": "Video"
    }
    </script>
    <?php include '../tian/popunder.php'; ?>
</head>
<body>
  <?php include '../tian/header.php'; ?>
  <?php include '../tian/sidebar.php'; ?>
  <div class="info-container">
    <a href="/" class="badge badge-warning badge-pill d-flex align-items-center p-2">
        <i class="fa-solid fa-house-chimney mr-1"></i> Home 
        <i class="fa-solid fa-chevrons-right ml-1 mr-1"></i> 
        <?php 
            $title = htmlspecialchars($file_info['file_title'] ?? 'Title');
            echo strlen($title) > 20 ? substr($title, 0, 20) . '...' : $title;
        ?>
    </a>
    <button id="themeToggle" class="btn btn-info btn-sm">
      <i class="fa-solid fa-moon-cloud"></i>
      <span id="themeToggleText"></span>
    </button>
  </div>
    <div class="container my-2">
        <?php if ($file_info): ?>
            <div class="video-container mb-2">
                <?php include '../tian/banner1.php'; ?>
                <iframe src="https://luluvdo.com/e/<?php echo htmlspecialchars($file_info['file_code']); ?>" class="w-100" height="400" frameborder="0" allowfullscreen></iframe>
            </div>
            <div class="file-info mb-2">
                <div class="card shadow-sm">
                    <div class="card-body border rounded hover-shadow">
                        <div class="d-flex justify-content-center">
                            <h1 class="badge badge-danger font-weight-bold text-uppercase mb-2 text-center" style="font-size: 1.1rem; color: white;">
                                <?php 
                                    $title = htmlspecialchars($file_info['file_title'] ?? 'Title');
                                    echo strlen($title) > 30 ? substr($title, 0, 30) . '...' : $title;
                                ?>
                            </h1>
                        </div>
                        <ul class="list-unstyled mb-3">
                            <li class="d-flex align-items-center mb-2">
                                <strong class="ml-1 badge badge-pill badge-warning p-2">Duration:</strong> 
                                <span class="badge badge-pill badge-dark ml-auto p-2"><?php echo formatDuration($file_info['file_length']); ?></span>
                            </li>
                            <li class="d-flex align-items-center mb-2">
                                <strong class="ml-1 badge badge-pill badge-warning p-2">Uploaded on:</strong> 
                                <span class="badge badge-pill badge-dark ml-auto p-2"><?php echo htmlspecialchars($file_info['file_created']); ?></span>
                            </li>
                            <li class="d-flex align-items-center mb-2">
                                <strong class="ml-1 badge badge-pill badge-info p-2">Views:</strong> 
                                <span class="badge badge-pill badge-dark ml-auto p-2"><?php echo htmlspecialchars($file_info['file_views']); ?></span>
                            </li>
                            <li class="d-flex align-items-center mb-2">
                                <strong class="ml-1 badge badge-pill badge-primary p-2">Premium:</strong>
                                <?php
                                  $premiumText = ($file_info['file_premium_only'] == 0) ? 'No' : 'Yes';
                                ?>
                                <span class="badge badge-pill badge-dark ml-auto p-2"><?php echo htmlspecialchars($premiumText); ?></span>
                            </li>
                            <li class="d-flex align-items-center mb-2">
                                <strong class="ml-1 badge badge-pill badge-primary p-2">Tags:</strong> 
                                <span class="badge badge-pill badge-dark ml-auto p-2"><?php echo htmlspecialchars($file_info['tags']); ?></span>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="text-center mb-2">
                <div class="p-3 rounded shadow-sm">
                    <p class="text-break bg-dark text-light p-2 rounded-pill">
                        <?php echo htmlspecialchars($current_url); ?>
                    </p>
                    <button class="btn btn-success font-weight-bold" onclick="shareUrl()">
                        <i class="fa fa-share-alt mr-2"></i> Share
                    </button>
                </div>
            </div>
        <?php else: ?>
            <div class="alert alert-danger">No file information available.</div>
        <?php endif; ?>
    </div>
    <div class="text-center mb-4">
        <a href="https://lulustream.com/reg26557" target="_blank">
            <img src="https://lulustream.com/images/refer.gif" alt="Referral GIF" class="img-fluid" style="max-width: 350px; width: 100%; height: auto; border-radius: 10px;">
        </a>
    </div>
    <?php include '../tian/banner2.php'; ?>
      <section class="container my-2">
        <div class="text-center mb-2 border rounded p-2" style="padding: 10px; border: 2px solid white; border-radius: 5px;">
            <h2 class="badge badge-danger" style="font-size: 1.2rem; margin-bottom: 0;">Related Videos</h2>
        </div>
        <div class="row">
            <?php foreach ($related_files as $index => $file): ?>
                <article class="col-6 col-md-3 mb-2">
                    <div class="card border-0 hover-shadow h-100" onclick="window.location.href='<?php echo htmlspecialchars($file['file_code']); ?>'">
                        <div class="card-img-container position-relative">
                            <div class="badge bg-warning text-dark" style="position: absolute; padding: 5px 10px; font-size: 10px; font-weight: bold; border-radius: 5px; box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1); text-transform: uppercase;">
                                <i class="fa-solid fa-face-smile-relaxed"></i> #<?php echo $index + 1; ?>
                            </div>
                            <img src="<?php echo htmlspecialchars($file['thumbnail']); ?>" class="card-img-top rounded-top img-fluid" alt="<?php echo htmlspecialchars($file['title']); ?>" style="height: 100px; object-fit: cover;">
                            <i class="fa-light fa-play play-icon"></i>
                        </div>
                        <div class="card-body">
                            <h3 class="card-title badge badge-danger" style="font-size: 0.8rem;"><?php echo htmlspecialchars($file['title']); ?></h3>
                            <div class="date-view mt-2">
                                <span><?php echo htmlspecialchars(date('F j, Y', strtotime($file['uploaded']))); ?></span>
                                <span><i class="fa fa-eye mr-1"></i> <?php echo htmlspecialchars($file['views']) ?: 0; ?></span>
                            </div>
                        </div>
                    </div>
                </article>
            <?php endforeach; ?>
        </div>
      </section>
    <?php include '../tian/footer.php'; ?>
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.5.2/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="../js/script.js"></script>
    <?php include '../tian/socialbar.php'; ?>
    <?php include '../tian/histats.php'; ?>
    <script>
        function shareUrl() {
            const url = "<?php echo htmlspecialchars($current_url); ?>";
            if (navigator.share) {
                navigator.share({
                    title: document.title,
                    url: url
                }).catch(console.error);
            } else {
                alert('Your device does not support sharing.');
            }
        }
    </script>
</body>
</html>