<?php
$jsonFilePath = './tian/data.json';
if (!file_exists($jsonFilePath)) {
    echo '<div class="alert alert-danger d-flex align-items-center" role="alert">';
    echo '<i class="fas fa-exclamation-triangle mr-2"></i>';
    echo '<div>';
    echo 'File tidak ditemukan: <strong>' . htmlspecialchars($jsonFilePath) . '</strong>. Silakan periksa kembali.';
    echo '</div>';
    echo '</div>';
    echo '<div class="alert alert-warning" role="alert">';
    echo 'Jika masalah ini berlanjut, hubungi developer melalui WhatsApp di <strong><a href="https://wa.me/6282257561165" class="text-primary">0822-5756-1165</a></strong> untuk bantuan lebih lanjut.';
    echo '</div>';
    exit;
}
$data = json_decode(file_get_contents($jsonFilePath ), true);
$pageTitle = isset($data['page_title']) ? $data['page_title'] : 'Judul Tidak Ditemukan';
$url = isset($data['url']) ? $data['url'] : '#';
$domain = isset($data['domain']) ? $data['domain'] : '#';
$webIcon = isset($data['web_icon']) ? $url . '/img/' . $data['web_icon'] : '';
$tumbn = isset($data['bg_header']) ? $data['bg_header'] : '#';
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta name="description" content="<?php echo $pageTitle; ?> delivers the latest trending videos and updates. Explore viral content, trending topics, and stay updated with the hottest trends online.">
  <meta name="keywords" content="<?php echo $pageTitle; ?>, trending videos, viral content, latest updates, viral trends, top videos, popular content">
  <meta name="robots" content="index, follow">
  <meta property="og:title" content="<?php echo $pageTitle; ?> - Trending Videos & Latest Viral Content">
  <meta property="og:description" content="<?php echo $pageTitle; ?> delivers the latest trending videos and updates. Explore viral content, trending topics, and stay updated with the hottest trends online.">
  <meta property="og:image" content="<?php echo $url; ?>/img/<?php echo $tumbn; ?>">
  <meta property="og:url" content="<?php echo $url; ?>">
  <meta property="og:type" content="website">
  <meta property="og:site_name" content="<?php echo $pageTitle; ?>">
  <meta property="og:locale" content="en_US">
  <meta property="og:locale:alternate" content="id_ID">
  <meta name="author" content="<?php echo $pageTitle; ?> Team">
  <meta name="rating" content="General">
  <meta name="theme-color" content="#212529">
  <meta name="twitter:card" content="summary_large_image">
  <meta name="twitter:title" content="<?php echo $pageTitle; ?> - Trending Videos & Latest Viral Content">
  <meta name="twitter:description" content="<?php echo $pageTitle; ?> delivers the latest trending videos and updates. Explore viral content, trending topics, and stay updated with the hottest trends online.">
  <meta name="twitter:image" content="<?php echo $url; ?>/img/<?php echo $tumbn; ?>">
  <link rel="canonical" href="<?php echo $url; ?>">
  <title><?php echo $pageTitle; ?> - Trending Videos & Latest Viral Content</title>
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <link rel="stylesheet" href="<?php echo $url; ?>/css/fontawesome-pro/css/all.min.css">
  <link rel="stylesheet" href="<?php echo $url; ?>/css/styles.css">
  <link rel="icon" href="<?php echo $webIcon; ?>" type="image/x-icon">
  <script type="application/ld+json">
  {
    "@context": "https://schema.org",
    "@type": "WebSite",
    "name": "<?php echo $pageTitle; ?>",
    "url": "<?php echo $url; ?>",
    "description": "A<?php echo $pageTitle; ?> delivers the latest trending videos and updates. Explore viral content, trending topics, and stay updated with the hottest trends online.",
    "potentialAction": {
      "@type": "SearchAction",
      "target": "<?php echo $url; ?>/?s={search_term_string}",
      "query-input": "required name=search_term_string"
    }
  }
  </script>
  <script type="application/ld+json">
  {
    "@context": "https://schema.org",
    "@type": "Organization",
    "name": "A<?php echo $pageTitle; ?>",
    "url": "<?php echo $url; ?>",
    "logo": "<?php echo $url; ?>/img/<?php echo $tumbn; ?>",
    "contactPoint": {
      "@type": "ContactPoint",
      "contactType": "Customer Service",
      "telephone": "+1-800-555-5555",
      "email": "info@<?php echo $domain; ?>",
      "areaServed": "Global",
      "availableLanguage": ["English", "Indonesian"]
    }
  }
  </script>
  <script type="application/ld+json">
    {
      "@context": "https://schema.org",
      "@type": "BreadcrumbList",
      "itemListElement": [
        {
          "@type": "ListItem",
          "position": 1,
          "name": "Home",
          "item": "<?php echo $url; ?>"
        },
        {
          "@type": "ListItem",
          "position": 2,
          "name": "Trending Videos",
          "item": "<?php echo $url; ?>"
        },
        {
          "@type": "ListItem",
          "position": 3,
          "name": "Premium Pricing",
          "item": "<?php echo $url; ?>/premium-pricing"
        },
        {
          "@type": "ListItem",
          "position": 4,
          "name": "Affiliate Program",
          "item": "<?php echo $url; ?>/affiliate-program/"
        },
        {
          "@type": "ListItem",
          "position": 5,
          "name": "API Documentation",
          "item": "<?php echo $url; ?>/api-documentation/"
        },
        {
          "@type": "ListItem",
          "position": 6,
          "name": "Terms of Service",
          "item": "<?php echo $url; ?>/terms-of-service/"
        },
        {
          "@type": "ListItem",
          "position": 7,
          "name": "Privacy Policy",
          "item": "<?php echo $url; ?>/privacy-policy/"
        },
        {
          "@type": "ListItem",
          "position": 8,
          "name": "Disclaimer",
          "item": "<?php echo $url; ?>/disclaimer/"
        },
        {
          "@type": "ListItem",
          "position": 9,
          "name": "DMCA Policy",
          "item": "<?php echo $url; ?>/dmca-policy/"
        }
      ]
    }
    </script>
    <?php include 'tian/popunder.php'; ?>
</head>
<body>
  <?php include 'tian/header.php'; ?>
  <?php include 'tian/sidebar.php'; ?>
  <div class="info-container">
    <span id="videoCount" class="badge badge-success">Loading...</span>
    <span class="badge badge-warning badge-pill d-flex align-items-center p-2">
      <i class="fa-regular fa-person-drowning mr-1"></i> <?php echo $domain; ?>
    </span>
    <button id="themeToggle" class="btn btn-info btn-sm">
      <i class="fa-solid fa-moon-cloud"></i>
      <span id="themeToggleText"></span>
    </button>
  </div>
    <main>
      <div class="container">
        <?php include 'tian/banner1.php'; ?>
        <h2 class="badge badge-danger mb-2" style="font-size: 1rem;">Latest Releases</h2>
        <div id="dataContainer" class="row"></div>
        <button id="loadMore" class="btn btn-primary btn-block mt-3 shadow-lg" style="background: linear-gradient(45deg, #007bff, #0056b3); border: none; color: #fff; font-weight: bold; transition: background-color 0.3s, transform 0.3s;" aria-label="Load more content">
          <i class="fa-light fa-hand-middle-finger"></i> Load More
        </button>
      </div>
      <?php include 'tian/banner2.php'; ?>
      <div class="d-flex justify-content-center align-items-center">
        <div id="noResultsMessage" class="alert alert-warning alert-dismissible fade show mt-4" role="alert" style="display: none;">
          <i class="fa-solid fa-do-not-enter me-2"></i> No results found
        </div>
      </div>
      <div class="container mt-4">
        <h2 class="badge badge-danger mb-2" style="font-size: 1rem;">Top #10 Popular Videos</h2>
        <div id="popularVideosContainer" class="row"></div>
      </div>
      <div id="spinner-overlay" style="display: none;">
        <div class="spinner-border text-primary" role="status">
          <span class="sr-only">Loading...</span>
        </div>
      </div>
    </main>
    <?php include 'tian/footer.php'; ?>
    <script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.bundle.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.5.2/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="js/script.js" defer></script>
    <?php include 'tian/socialbar.php'; ?>
    <?php include 'tian/histats.php'; ?>
</body>
</html>