      const TEXT_DI_CARD = "bakso";     // UBah Ini Aja Untuk Tulisan Di Card Video
      
      document.addEventListener('DOMContentLoaded', () => {
        const themeToggle = document.getElementById('themeToggle');
        const body = document.body;
        let currentTheme = localStorage.getItem('theme');
            if (!currentTheme) {
                currentTheme = 'dark';
                localStorage.setItem('theme', currentTheme);
            }
            
        if (currentTheme === 'dark') {
          body.classList.add('dark-mode');
          themeToggle.querySelector('i').classList.replace('fa-moon', 'fa-sun');
        }
    
        themeToggle.addEventListener('click', () => {
          const isDarkMode = body.classList.toggle('dark-mode');
          themeToggle.querySelector('i').classList.toggle('fa-sun', isDarkMode);
          themeToggle.querySelector('i').classList.toggle('fa-moon', !isDarkMode);
          localStorage.setItem('theme', isDarkMode ? 'dark' : 'light');
        });
      });
    
      document.getElementById('sidebarToggle').addEventListener('click', () => {
        const sidebar = document.getElementById('sidebar');
        const content = document.querySelector('.container');
        const footer = document.querySelector('footer');
        const billboard = document.querySelector('.billboard');
        const infoContainer = document.querySelector('.info-container');
        const nav = document.querySelector('nav');
        const elementsToBlur = [content, footer, billboard, infoContainer, nav];
    
        sidebar.classList.toggle('active');
        document.body.style.overflow = 'hidden';
        if (sidebar.classList.contains('active')) {
          elementsToBlur.forEach(el => el.classList.add('blurred-content'));
        } else {
          elementsToBlur.forEach(el => el.classList.remove('blurred-content'));
        }
      });
    
      document.getElementById('hideSidebar').addEventListener('click', () => {
        const sidebar = document.getElementById('sidebar');
        const content = document.querySelector('.container');
        const footer = document.querySelector('footer');
        const billboard = document.querySelector('.billboard');
        const infoContainer = document.querySelector('.info-container');
        const nav = document.querySelector('nav');
        const elementsToBlur = [content, footer, billboard, infoContainer, nav];
    
        sidebar.classList.remove('active');
        document.body.style.overflow = '';
        elementsToBlur.forEach(el => el.classList.remove('blurred-content'));
      });

      document.getElementById('searchIcon').addEventListener('click', function () {
        const searchInput = document.getElementById('searchInput');
        searchInput.classList.toggle('show');
        searchInput.focus();
        this.classList.toggle('hidden', searchInput.classList.contains('show'));
      });
    
      document.addEventListener('click', (event) => {
        const searchInput = document.getElementById('searchInput');
        const searchIcon = document.getElementById('searchIcon');
        if (!searchInput.contains(event.target) && !searchIcon.contains(event.target)) {
          searchInput.classList.remove('show');
          searchIcon.classList.remove('hidden');
        }
      });
    
      async function fetchAndDisplayVideos() {
        try {
          const spinnerOverlay = document.getElementById('spinner-overlay');
          const content = document.querySelector('.container');
          const footer = document.querySelector('footer');
          const billboard = document.querySelector('.billboard');
          const loadMoreButton = document.getElementById('loadMore');
          const dataContainer = document.getElementById('dataContainer');
          const videoCount = document.getElementById('videoCount');
          const popularSection = document.querySelector('.container.mt-4');
          const noResultsMessage = document.getElementById('noResultsMessage');
          let files = [];
          let filteredFiles = [];
          let currentIndex = 0;
          const itemsPerPage = 20;
    
          spinnerOverlay.style.display = 'flex';
          document.body.style.overflow = 'hidden';
          [content, footer, billboard, popularSection].forEach(el => el.classList.add('blurred-content'));
          
          const response = await fetch('api/getdata.php');
          const data = await response.json();
          files = data.result.files;
          filteredFiles = files;
    
          function displayVideos(videos) {
            if (videos.length === 0) {
              noResultsMessage.style.display = 'block';
            } else {
              noResultsMessage.style.display = 'none';
            }
            videos.forEach(file => {
              const col = document.createElement('div');
              col.classList.add('col-6', 'col-md-4', 'mb-1');
              const uploadedDate = new Date(file.uploaded).toLocaleDateString('en-US', {
                month: 'short',
                day: '2-digit',
                year: 'numeric'
              });
              col.innerHTML = `
                <div class="card" onclick="redirectToVideo('${file.file_code}')">
                  <div class="card-img-container">
                    <div style="position: absolute; background-color: rgba(255, 0, 0, 0.8); color: white; padding: 5px 10px; font-size: 10px; font-weight: bold; border-radius: 5px; box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1); text-transform: uppercase;">
                      ${TEXT_DI_CARD}
                    </div>
                    <img class="card-img-top" src="${file.thumbnail}" alt="${file.title} loading="lazy">
                    <i class="fa-light fa-play play-icon"></i>
                  </div>
                  <div class="card-body">
                    <h3 class="card-title badge badge-primary">${file.title}</h3>
                    <div class="date-view">
                      <span>${uploadedDate}</span>
                      <span><i class="fa fa-eye"></i> ${file.views}</span>
                    </div>
                  </div>
                </div>
              `;
              dataContainer.appendChild(col);
            });
          }
    
          function loadMoreVideos() {
            const endIndex = Math.min(currentIndex + itemsPerPage, filteredFiles.length);
            const videosToDisplay = filteredFiles.slice(currentIndex, endIndex);
            displayVideos(videosToDisplay);
            currentIndex = endIndex;
            loadMoreButton.style.display = currentIndex < filteredFiles.length ? 'block' : 'none';
          }
    
          loadMoreButton.addEventListener('click', loadMoreVideos);
          loadMoreVideos();
    
          videoCount.textContent = `${files.length} Videos`;
    
          document.getElementById('searchInput').addEventListener('input', function () {
            const query = this.value.toLowerCase();
            filteredFiles = files.filter(file =>
              file.title.toLowerCase().includes(query)
            );
            currentIndex = 0;
            dataContainer.innerHTML = '';
            loadMoreVideos();
            videoCount.textContent = `${filteredFiles.length} Videos`;
            loadMoreButton.style.display = filteredFiles.length ? 'block' : 'none';
          });
    
          spinnerOverlay.style.display = 'none';
          document.body.style.overflow = '';
          [content, footer, billboard, popularSection].forEach(el => el.classList.remove('blurred-content'));
        } catch (error) {
          console.error('Error fetching data:', error);
        }
      }
      
        async function fetchAndDisplayPopularVideos() {
            try {
                const spinnerOverlay = document.getElementById('spinner-overlay');
                const popularVideosContainer = document.getElementById('popularVideosContainer');
                const noResultsMessage = document.getElementById('noResultsMessage');
                let popularFiles = [];
        
                spinnerOverlay.style.display = 'flex';
                document.body.style.overflow = 'hidden';
                popularVideosContainer.innerHTML = '';
        
                const response = await fetch('api/popular.php');
                if (!response.ok) throw new Error('Network response was not ok');
                
                const data = await response.json();
        
                popularFiles = data.data;
                if (!Array.isArray(popularFiles)) throw new Error('Unexpected data format');
        
                function displayPopularVideos(videos) {
                    if (videos.length === 0) {
                        noResultsMessage.style.display = 'block';
                    } else {
                        noResultsMessage.style.display = 'none';
                    }
                    videos.forEach((file, index) => {
                        const col = document.createElement('div');
                        col.classList.add('col-6', 'col-md-4', 'mb-1');
                        const uploadedDate = file.uploaded ? new Date(file.uploaded).toLocaleDateString('en-US', {
                            month: 'short',
                            day: '2-digit',
                            year: 'numeric'
                        }) : 'Unknown Date';
                        col.innerHTML = `
                            <div class="card" onclick="redirectToVideo('${file.file_code}')">
                                <div class="card-img-container">
                                    <div class="badge bg-warning text-dark" style="position: absolute; padding: 5px 10px; font-size: 10px; font-weight: bold; border-radius: 5px; box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1); text-transform: uppercase;">
                                        <i class="fa-solid fa-circle-star"></i> Popular #${index + 1}
                                    </div>
                                    <img class="card-img-top" src="${file.thumbnail}" alt="${file.title} loading="lazy">
                                    <i class="fa-light fa-play play-icon"></i>
                                </div>
                                <div class="card-body">
                                    <h3 class="card-title badge badge-danger">
                                        ${file.title}
                                    </h3>
                                    <div class="date-view">
                                        <span>${uploadedDate}</span>
                                        <span><i class="fa fa-eye"></i> ${file.views || 0}</span>
                                    </div>
                                </div>
                            </div>
                        `;
                        popularVideosContainer.appendChild(col);
                    });
                }
        
                displayPopularVideos(popularFiles);
        
                spinnerOverlay.style.display = 'none';
                document.body.style.overflow = '';
            } catch (error) {
                console.error('Error fetching popular videos:', error);
                document.getElementById('noResultsMessage').style.display = 'block';
            }
        }

        function redirectToVideo(fileCode) {
            if (typeof fileCode === 'string' && fileCode.trim()) {
                const url = `e/${encodeURIComponent(fileCode)}`;
                window.location.href = url;
            } else {
                console.error('Kode file tidak valid');
            }
        }
        
      fetchAndDisplayVideos();
      fetchAndDisplayPopularVideos();