<?php
$jsonFile = '../tian/data.json';
$jsonData = file_get_contents($jsonFile);
$config = json_decode($jsonData, true);
$pageTitle = $config['page_title'] ?? 'Asupan Viral';
$siteUrl = $config['url'] ?? 'https://asupanviral.info';

$currentUrl = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
?>

<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta name="description" content="Explore premium pricing options for <?php echo htmlspecialchars($pageTitle); ?> and access exclusive viral content. Choose from daily, weekly, monthly, or yearly plans to enjoy top entertainment and trends.">
  <meta name="keywords" content="premium pricing, viral content, trending videos, subscription plans">
  <meta name="author" content="<?php echo htmlspecialchars($pageTitle); ?>">
  <meta property="og:title" content="<?php echo htmlspecialchars($pageTitle); ?> - Premium Pricing">
  <meta property="og:description" content="Explore premium pricing options for <?php echo htmlspecialchars($pageTitle); ?> and access exclusive viral content. Choose from daily, weekly, monthly, or yearly plans to enjoy top entertainment and trends.">
  <meta property="og:image" content="<?php echo htmlspecialchars($siteUrl); ?>/img/asupanviral.png">
  <meta property="og:url" content="<?php echo htmlspecialchars($currentUrl); ?>">
  <meta property="og:type" content="website">
  <meta property="og:site_name" content="<?php echo htmlspecialchars($pageTitle); ?>">
  <meta name="twitter:card" content="summary_large_image">
  <meta name="twitter:title" content="<?php echo htmlspecialchars($pageTitle); ?> - Premium Pricing">
  <meta name="twitter:description" content="Explore premium pricing options for <?php echo htmlspecialchars($pageTitle); ?> and access exclusive viral content. Choose from daily, weekly, monthly, or yearly plans to enjoy top entertainment and trends.">
  <meta name="twitter:image" content="<?php echo htmlspecialchars($siteUrl); ?>/img/asupanviral.png">
  <meta name="twitter:site" content="@asupanviral">
  <title><?php echo htmlspecialchars($pageTitle); ?> - Premium Pricing</title>
  <link rel="icon" href="<?php echo htmlspecialchars($siteUrl); ?>/img/asupanviral.png" type="image/x-icon">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <link rel="stylesheet" href="../css/fontawesome-pro/css/all.min.css">
  <link rel="stylesheet" href="../css/styles.css">
<script type="application/ld+json">
{
  "@context": "https://schema.org",
  "@type": "WebPage",
  "name": "<?php echo htmlspecialchars($pageTitle); ?> - Premium Pricing",
  "description": "Explore premium pricing options for <?php echo htmlspecialchars($pageTitle); ?> and access exclusive viral content. Choose from daily, weekly, monthly, or yearly plans to enjoy top entertainment and trends.",
  "url": "<?php echo htmlspecialchars($currentUrl); ?>",
  "publisher": {
    "@type": "Organization",
    "name": "<?php echo htmlspecialchars($pageTitle); ?>",
    "logo": {
      "@type": "ImageObject",
      "url": "<?php echo htmlspecialchars($siteUrl); ?>/img/asupanviral.png",
      "width": 600,
      "height": 60
    }
  },
  "mainEntity": {
    "@type": "Product",
    "name": "Premium Pricing Plans",
    "image": "<?php echo htmlspecialchars($siteUrl); ?>/img/asupanviral.png",
    "description": "Access exclusive viral content with daily, weekly, monthly, or yearly subscription plans.",
    "offers": [
      {
        "@type": "Offer",
        "name": "Daily Plan",
        "priceCurrency": "USD",
        "price": "1.00",
        "priceValidUntil": "2024-12-31",
        "availability": "https://schema.org/InStock",
        "url": "<?php echo htmlspecialchars($siteUrl); ?>/premium-pricing",
        "itemCondition": "https://schema.org/NewCondition",
        "shippingDetails": {
          "@type": "OfferShippingDetails",
          "deliveryTime": {
            "@type": "ShippingDeliveryTime",
            "handlingTime": {
              "@type": "QuantitativeValue",
              "minValue": 0,
              "maxValue": 1,
              "unitCode": "DAY"
            },
            "transitTime": {
              "@type": "QuantitativeValue",
              "minValue": 1,
              "maxValue": 5,
              "unitCode": "DAY"
            }
          },
          "shippingDestination": {
            "@type": "DefinedRegion",
            "name": "Worldwide",
            "addressCountry": "US"
          },
          "shippingRate": {
            "@type": "MonetaryAmount",
            "value": "0.00",
            "currency": "USD"
          }
        },
        "hasMerchantReturnPolicy": {
          "@type": "MerchantReturnPolicy",
          "applicableCountry": "US",
          "returnPolicyCategory": "https://schema.org/MerchantReturnFiniteReturnWindow",
          "merchantReturnDays": 60,
          "returnMethod": "https://schema.org/ReturnByMail",
          "returnFees": "https://schema.org/FreeReturn"
        }
      },
      {
        "@type": "Offer",
        "name": "Weekly Plan",
        "priceCurrency": "USD",
        "price": "5.00",
        "priceValidUntil": "2024-12-31",
        "availability": "https://schema.org/InStock",
        "url": "<?php echo htmlspecialchars($siteUrl); ?>/premium-pricing",
        "itemCondition": "https://schema.org/NewCondition",
        "shippingDetails": {
          "@type": "OfferShippingDetails",
          "deliveryTime": {
            "@type": "ShippingDeliveryTime",
            "handlingTime": {
              "@type": "QuantitativeValue",
              "minValue": 0,
              "maxValue": 1,
              "unitCode": "DAY"
            },
            "transitTime": {
              "@type": "QuantitativeValue",
              "minValue": 1,
              "maxValue": 5,
              "unitCode": "DAY"
            }
          },
          "shippingDestination": {
            "@type": "DefinedRegion",
            "name": "Worldwide",
            "addressCountry": "US"
          },
          "shippingRate": {
            "@type": "MonetaryAmount",
            "value": "0.00",
            "currency": "USD"
          }
        },
        "hasMerchantReturnPolicy": {
          "@type": "MerchantReturnPolicy",
          "applicableCountry": "US",
          "returnPolicyCategory": "https://schema.org/MerchantReturnFiniteReturnWindow",
          "merchantReturnDays": 60,
          "returnMethod": "https://schema.org/ReturnByMail",
          "returnFees": "https://schema.org/FreeReturn"
        }
      },
      {
        "@type": "Offer",
        "name": "Monthly Plan",
        "priceCurrency": "USD",
        "price": "15.00",
        "priceValidUntil": "2024-12-31",
        "availability": "https://schema.org/InStock",
        "url": "<?php echo htmlspecialchars($siteUrl); ?>/premium-pricing",
        "itemCondition": "https://schema.org/NewCondition",
        "shippingDetails": {
          "@type": "OfferShippingDetails",
          "deliveryTime": {
            "@type": "ShippingDeliveryTime",
            "handlingTime": {
              "@type": "QuantitativeValue",
              "minValue": 0,
              "maxValue": 1,
              "unitCode": "DAY"
            },
            "transitTime": {
              "@type": "QuantitativeValue",
              "minValue": 1,
              "maxValue": 5,
              "unitCode": "DAY"
            }
          },
          "shippingDestination": {
            "@type": "DefinedRegion",
            "name": "Worldwide",
            "addressCountry": "US"
          },
          "shippingRate": {
            "@type": "MonetaryAmount",
            "value": "0.00",
            "currency": "USD"
          }
        },
        "hasMerchantReturnPolicy": {
          "@type": "MerchantReturnPolicy",
          "applicableCountry": "US",
          "returnPolicyCategory": "https://schema.org/MerchantReturnFiniteReturnWindow",
          "merchantReturnDays": 60,
          "returnMethod": "https://schema.org/ReturnByMail",
          "returnFees": "https://schema.org/FreeReturn"
        }
      },
      {
        "@type": "Offer",
        "name": "Yearly Plan",
        "priceCurrency": "USD",
        "price": "150.00",
        "priceValidUntil": "2024-12-31",
        "availability": "https://schema.org/InStock",
        "url": "<?php echo htmlspecialchars($siteUrl); ?>/premium-pricing",
        "itemCondition": "https://schema.org/NewCondition",
        "shippingDetails": {
          "@type": "OfferShippingDetails",
          "deliveryTime": {
            "@type": "ShippingDeliveryTime",
            "handlingTime": {
              "@type": "QuantitativeValue",
              "minValue": 0,
              "maxValue": 1,
              "unitCode": "DAY"
            },
            "transitTime": {
              "@type": "QuantitativeValue",
              "minValue": 1,
              "maxValue": 5,
              "unitCode": "DAY"
            }
          },
          "shippingDestination": {
            "@type": "DefinedRegion",
            "name": "Worldwide",
            "addressCountry": "US"
          },
          "shippingRate": {
            "@type": "MonetaryAmount",
            "value": "0.00",
            "currency": "USD"
          }
        },
        "hasMerchantReturnPolicy": {
          "@type": "MerchantReturnPolicy",
          "applicableCountry": "US",
          "returnPolicyCategory": "https://schema.org/MerchantReturnFiniteReturnWindow",
          "merchantReturnDays": 60,
          "returnMethod": "https://schema.org/ReturnByMail",
          "returnFees": "https://schema.org/FreeReturn"
        }
      }
    ],
    "aggregateRating": {
      "@type": "AggregateRating",
      "ratingValue": "4.5",
      "reviewCount": "92"
    },
    "review": [
      {
        "@type": "Review",
        "author": {
          "@type": "Person",
          "name": "John Doe"
        },
        "datePublished": "2024-09-17",
        "reviewRating": {
          "@type": "Rating",
          "ratingValue": "5"
        },
        "description": "Great pricing plans and excellent content."
      },
      {
        "@type": "Review",
        "author": {
          "@type": "Person",
          "name": "Jane Smith"
        },
        "datePublished": "2024-09-18",
        "reviewRating": {
          "@type": "Rating",
          "ratingValue": "4"
        },
        "description": "Affordable plans with high-quality content. Totally worth it!"
      },
      {
        "@type": "Review",
        "author": {
          "@type": "Person",
          "name": "Alice Johnson"
        },
        "datePublished": "2024-09-19",
        "reviewRating": {
          "@type": "Rating",
          "ratingValue": "5"
        },
        "description": "Exceptional value for the price. The yearly plan is a steal!"
      },
      {
        "@type": "Review",
        "author": {
          "@type": "Person",
          "name": "Bob Williams"
        },
        "datePublished": "2024-09-19",
        "reviewRating": {
          "@type": "Rating",
          "ratingValue": "4"
        },
        "description": "Good variety of plans. The monthly plan is my favorite."
      }
    ]
  }
}
</script>
</head>
<body>
  <nav class="navbar navbar-expand-lg navbar-light">
    <button class="navbar-toggler" type="button" id="sidebarToggle">
      <svg xmlns="http://www.w3.org/2000/svg" width="30" height="30" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
        <path d="M4 6h16M4 12h16m-7 6h7"/>
      </svg>
    </button>
    <a class="navbar-brand mx-auto" href="/">
      <img src="../img/jav.png" alt="<?php echo htmlspecialchars($pageTitle); ?> Logo" loading="lazy">
    </a>
  </nav>
  <div id="sidebar">
    <div class="sidebar-content">
      <h4 class="text-center font-weight-bold my-4">
        <i class="fa-solid fa-badge-check text-primary"></i>
        <span>AsupanViral</span><small class="text-muted">.info</small>
      </h4>
      <ul class="list-unstyled">
        <li class="mb-2 bg-primary rounded px-1 py-0">
          <a href="https://t.me/viralhot_my_id" class="d-flex align-items-center text-white font-weight-bold" style="font-size: 0.85rem;">
            <img src="https://upload.wikimedia.org/wikipedia/commons/8/82/Telegram_logo.svg" alt="Telegram" width="20" height="20" style="margin-right: 8px;"> Join Telegram
          </a>
        </li>
        <li class="mb-2 bg-danger rounded px-1 py-0">
          <a href="https://addictrelive.com/n6bgmjkff?key=e032ddc33e7ea84416160f5917600a0b" class="d-flex align-items-center text-white font-weight-bold" style="font-size: 0.85rem;">
            <img src="https://png.pngtree.com/png-clipart/20220509/original/pngtree-live-streaming-png-logo-png-image_7667572.png" alt="Telegram" width="20" height="20" style="margin-right: 8px;"> Watch Live Sex
          </a>
        </li>
        <li class="mb-2 bg-warning rounded px-1 py-0">
          <a href="../premium-pricing/" class="d-flex align-items-center text-dark font-weight-bold" style="font-size: 0.85rem;">
            <img src="https://www.aerialfitonline.com/wp-content/uploads/2022/10/Aerial-Fit-Online-Premium-Overview.png" alt="Telegram" width="20" height="20" style="margin-right: 8px;"> Premium pricing
          </a>
        </li>
      </ul>
      <button id="hideSidebar" class="btn btn-light btn-sm rounded-circle shadow-sm" aria-label="Hide Sidebar">
          <i class="fa-solid fa-left-long-to-line"></i>
      </button>
    </div>
  </div>
  <div class="billboard"></div>
  <div class="info-container">
    <a href="/" class="badge badge-warning badge-pill d-flex align-items-center p-2">
        <i class="fa-solid fa-house-chimney mr-1"></i> Home <i class="fa-solid fa-chevrons-right ml-1 mr-1"></i> Pricing <?php echo htmlspecialchars($pageTitle); ?>
    </a>
    <button id="themeToggle" class="btn btn-info btn-sm">
      <i class="fa-solid fa-moon-cloud"></i>
      <span id="themeToggleText"></span>
    </button>
  </div>
    <div class="container mt-5">
        <div class="text-center mb-2">
            <h1 class="badge badge-danger" style="font-size: 1.2rem;">Premium Pricing Plans</h1>
        </div>
      <div class="row text-center">
        <div class="col-md-3 mb-4">
          <div class="card border-0 shadow-lg rounded-lg" onclick="handleCardClick()">
            <div class="card-header bg-primary text-white border-0 rounded-top">
              <h5 class="card-title mb-0">Daily</h5>
            </div>
            <div class="card-body text-center">
              <h6 class="card-price mb-4">
                <span class="display-4">$1</span>
                <span class="text-muted">/day</span><br>
                <span class="d-block">Rp15,000</span>
              </h6>
              <ul class="list-unstyled">
                <li><i class="fas fa-check-circle text-success"></i> Access to trending content</li>
                <li><i class="fas fa-check-circle text-success"></i> Daily updates</li>
                <li><i class="fas fa-check-circle text-success"></i> No Ads</li>
              </ul>
            </div>
          </div>
        </div>
        <div class="col-md-3 mb-4">
          <div class="card border-0 shadow-lg rounded-lg" onclick="handleCardClick()">
            <div class="card-header bg-primary text-white border-0 rounded-top">
              <h5 class="card-title mb-0">Weekly</h5>
            </div>
            <div class="card-body text-center">
              <h6 class="card-price mb-4">
                <span class="display-4">$5</span>
                <span class="text-muted">/week</span><br>
                <span class="d-block">Rp75,000</span>
              </h6>
              <ul class="list-unstyled">
                <li><i class="fas fa-check-circle text-success"></i> Access to trending content</li>
                <li><i class="fas fa-check-circle text-success"></i> Weekly updates</li>
                <li><i class="fas fa-check-circle text-success"></i> No Ads</li>
              </ul>
            </div>
          </div>
        </div>
        <div class="col-md-3 mb-4">
          <div class="card border-0 shadow-lg rounded-lg border-primary" onclick="handleCardClick()">
            <div class="card-header bg-primary text-white border-0 rounded-top">
              <h5 class="card-title mb-0">Monthly</h5>
            </div>
            <div class="card-body text-center">
              <h6 class="card-price mb-4">
                <span class="display-4">$15</span>
                <span class="text-muted">/month</span><br>
                <span class="d-block">Rp225,000</span>
              </h6>
              <ul class="list-unstyled">
                <li><i class="fas fa-check-circle text-success"></i> Access to all weekly features</li>
                <li><i class="fas fa-check-circle text-success"></i> No Ads</li>
                <li><i class="fas fa-check-circle text-success"></i> Early access to new content</li>
              </ul>
            </div>
          </div>
        </div>
        <div class="col-md-3 mb-4">
          <div class="card border-0 shadow-lg rounded-lg" onclick="handleCardClick()">
            <div class="card-header bg-primary text-white border-0 rounded-top">
              <h5 class="card-title mb-0">Yearly</h5>
            </div>
            <div class="card-body text-center">
              <h6 class="card-price mb-4">
                <span class="display-4">$150</span>
                <span class="text-muted">/year</span><br>
                <span class="d-block">Rp2,250,000</span>
              </h6>
              <ul class="list-unstyled">
                <li><i class="fas fa-check-circle text-success"></i> Access to all monthly features</li>
                <li><i class="fas fa-check-circle text-success"></i> Early access to new content</li>
                <li><i class="fas fa-check-circle text-success"></i> Exclusive premium videos</li>
                <li><i class="fas fa-check-circle text-success"></i> No Ads</li>
              </ul>
            </div>
          </div>
        </div>
      </div>
    </div>
    <footer class="footer">
      <div class="container">
        <div class="row">
            <div class="col-lg-3 col-md-6 mb-4">
              <h5 class="font-weight-bold text-uppercase mb-4">Pricing <?php echo htmlspecialchars($pageTitle); ?></h5>
                <p class="text-light mx-2">
                  Enjoy a variety of exclusive viral content on <?php echo htmlspecialchars($pageTitle); ?> with daily, weekly, monthly, and annual packages. Stay connected to the latest trends and exciting entertainment from around the world.
                </p>
            </div>
            <div class="col-lg-3 col-md-6 mb-4">
              <h5 class="font-weight-bold text-uppercase mb-4">Alternative Links</h5>
              <ul class="list-unstyled">
                <li class="mb-2">
                  <a href="/" class="text-light d-flex align-items-center p-2 border rounded hover-shadow">
                    <i class="fa-solid fa-house-chimney mr-2"></i> Home
                  </a>
                </li>
                <li class="mb-2">
                  <a href="https://asupanviral.xyz" class="text-light d-flex align-items-center p-2 border rounded hover-shadow" target="_blank">
                    <i class="fa-solid fa-globe-pointer mr-2"></i> asupanviral.xyz <i class="fa-solid fa-badge-check text-primary ml-1"></i>
                  </a>
                </li>
                <li class="mb-2">
                  <a href="https://www.asupanviral.info" class="text-light d-flex align-items-center p-2 border rounded hover-shadow" target="_blank">
                    <i class="fa-regular fa-globe-pointer mr-2"></i> www.asupanviral.info <i class="fa-solid fa-badge-check text-primary ml-1"></i>
                  </a>
                </li>
                <li class="mb-2">
                  <a href="../premium-pricing/" class="text-light d-flex align-items-center p-2 border rounded hover-shadow" target="_blank">
                    <i class="fa-solid fa-circle-star mr-2"></i> Upgrade Premium
                  </a>
                </li>
              </ul>
            </div>
            <div class="col-lg-3 col-md-6 mb-4">
              <h5 class="font-weight-bold text-uppercase mb-4">Legal Links</h5>
              <ul class="list-unstyled">
                <li class="mb-2">
                  <a href="../terms-of-service" class="text-light d-flex align-items-center p-2 border rounded hover-shadow" target="_blank">
                    <i class="fa-solid fa-file-contract mr-2"></i> Terms of Service
                  </a>
                </li>
                <li class="mb-2">
                  <a href="../privacy-policy" class="text-light d-flex align-items-center p-2 border rounded hover-shadow" target="_blank">
                    <i class="fa-solid fa-file-shield mr-2"></i> Privacy Policy
                  </a>
                </li>
                <li class="mb-2">
                  <a href="../disclaimer" class="text-light d-flex align-items-center p-2 border rounded hover-shadow" target="_blank">
                    <i class="fa-solid fa-exclamation-triangle mr-2"></i> Disclaimer
                  </a>
                </li>
                <li class="mb-2">
                  <a href="../dmca-policy" class="text-light d-flex align-items-center p-2 border rounded hover-shadow" target="_blank">
                    <i class="fa-solid fa-file-alt mr-2"></i> DMCA Policy
                  </a>
                </li>
              </ul>
            </div>
            <div class="col-lg-3 col-md-6 mb-4">
              <h5 class="font-weight-bold text-uppercase mb-3">Follow Us</h5>
              <div class="social-icons mb-4">
                <a href="https://www.facebook.com/groups/606958432661149" class="mx-2" target="_blank" rel="noopener noreferrer">
                  <img src="https://upload.wikimedia.org/wikipedia/commons/5/51/Facebook_f_logo_%282019%29.svg" alt="Facebook" width="24" height="24">
                </a>
                <a href="https://x.com/viralhot__" class="mx-2" target="_blank" rel="noopener noreferrer">
                  <img src="https://static.vecteezy.com/system/resources/previews/016/716/467/non_2x/twitter-icon-free-png.png" alt="Twitter" width="24" height="24">
                </a>
                <a href="https://t.me/allyourchannel" class="mx-2" target="_blank" rel="noopener noreferrer">
                  <img src="https://upload.wikimedia.org/wikipedia/commons/8/82/Telegram_logo.svg" alt="Telegram" width="24" height="24">
                </a>
                <a href="https://addictrelive.com/n6bgmjkff?key=e032ddc33e7ea84416160f5917600a0b" class="mx-2" target="_blank" rel="noopener noreferrer">
                  <img src="https://upload.wikimedia.org/wikipedia/commons/4/42/YouTube_icon_%282013-2017%29.png" alt="YouTube" width="24" height="24">
                </a>
                <a href="https://addictrelive.com/n6bgmjkff?key=e032ddc33e7ea84416160f5917600a0b" class="mx-2" target="_blank" rel="noopener noreferrer">
                  <img src="https://upload.wikimedia.org/wikipedia/commons/6/6b/WhatsApp.svg" alt="WhatsApp" width="24" height="24">
                </a>
              </div>
            </div>
            <div class="col-lg-3 col-md-6 mb-4">
              <h5 class="font-weight-bold text-uppercase mb-3">Gallery</h5>
              <div id="footerCarousel" class="carousel slide" data-ride="carousel">
                <div class="carousel-inner">
                  <div class="carousel-item active">
                    <img src="../img/slide1.jpg" class="d-block w-100 carousel-img" alt="Gallery Image 1" loading="lazy">
                  </div>
                  <div class="carousel-item">
                    <img src="../img/slide2.jpg" class="d-block w-100 carousel-img" alt="Gallery Image 2" loading="lazy">
                  </div>
                  <div class="carousel-item">
                    <img src="../img/slide3.jpg" class="d-block w-100 carousel-img" alt="Gallery Image 3" loading="lazy"> 
                  </div>
                  <div class="carousel-item">
                    <img src="../img/slide4.jpg" class="d-block w-100 carousel-img" alt="Gallery Image 4" loading="lazy">
                  </div>
                </div>
                <a class="carousel-control-prev" href="#footerCarousel" role="button" data-slide="prev">
                  <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                  <span class="sr-only">Previous</span>
                </a>
                <a class="carousel-control-next" href="#footerCarousel" role="button" data-slide="next">
                  <span class="carousel-control-next-icon" aria-hidden="true"></span>
                  <span class="sr-only">Next</span>
                </a>
              </div>
            </div>
        </div>
        <div class="text-center mt-4">
          <p class="mb-0">&copy; 2024 <?php echo htmlspecialchars($pageTitle); ?>. All rights reserved.</p>
        </div>
      </div>
    </footer>
  <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.5.2/dist/umd/popper.min.js"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
  <script src="../js/script.js" defer></script>
  <script>
  function handleCardClick() {
    const telegramUrl = 'https://t.me/viralhot_member';
    window.open(telegramUrl, '_blank');
  }
</script>
    <script type="text/javascript">var _Hasync= _Hasync|| [];
    _Hasync.push(['Histats.start', '1,4895645,4,500,95,18,00010000']);
    _Hasync.push(['Histats.fasi', '1']);
    _Hasync.push(['Histats.track_hits', '']);
    (function() {
    var hs = document.createElement('script'); hs.type = 'text/javascript'; hs.async = true;
    hs.src = ('//s10.histats.com/js15_as.js');
    (document.getElementsByTagName('head')[0] || document.getElementsByTagName('body')[0]).appendChild(hs);
    })();</script>
    <noscript><a href="/" target="_blank"><img  src="//sstatic1.histats.com/0.gif?4895645&101" alt="" border="0"></a></noscript>
</body>
</html>
