<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Premium Page - Coming Soon</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <style>
        body {
            background-color: #343a40;
            display: flex;
            align-items: center;
            justify-content: center;
            height: 100vh;
            color: #ffffff;
            text-align: center;
            font-family: Arial, sans-serif;
        }
        .coming-soon {
            max-width: 400px;
            background: #495057;
            padding: 30px;
            border-radius: 10px;
            box-shadow: 0 4px 30px rgba(0, 0, 0, 0.3);
        }
        h1 {
            font-size: 2.2rem;
            margin-bottom: 15px;
            color: #dff0d8;
        }
        p {
            font-size: 1.1rem;
            margin-bottom: 20px;
            color: #cfd8dc;
        }
        .countdown {
            font-size: 1.5rem;
            color: #28a745;
            font-weight: bold;
        }
        .end-date {
            font-size: 1rem;
            color: #cfd8dc;
            margin-top: 15px;
        }
    </style>
</head>
<body>

<div class="coming-soon">
    <h1>Coming Soon!</h1>
    <p>Our premium page is under development. Stay tuned for updates.</p>
    <div class="countdown" id="countdown">Loading...</div>
</div>

<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
<script>
    const tianndevCountdownElement = document.getElementById('countdown');

    function tianndevStartCountdown(endDate) {
        const endTime = new Date(endDate).getTime();

        setInterval(function () {
            const now = new Date().getTime();
            const distance = endTime - now;

            const days = Math.floor(distance / (1000 * 60 * 60 * 24));
            const hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
            const minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
            const seconds = Math.floor((distance % (1000 * 60)) / 1000);

            tianndevCountdownElement.innerHTML = days + " Days " + hours + " Hours " +
                minutes + " Minutes " + seconds + " Seconds";

            if (distance < 0) {
                clearInterval();
                tianndevCountdownElement.innerHTML = "Time's Up!";
            }
        }, 1000);
    }

    tianndevStartCountdown("2027-01-01T00:00:00");
</script>

</body>
</html>
