<?php
$jsonFilePath = '../tian/data.json';
if (!file_exists($jsonFilePath)) {
    echo '<div class="alert alert-danger d-flex align-items-center" role="alert">';
    echo '<i class="fas fa-exclamation-triangle mr-2"></i>';
    echo '<div>';
    echo 'File tidak ditemukan: <strong>' . htmlspecialchars($jsonFilePath) . '</strong>. Silakan periksa kembali.';
    echo '</div>';
    echo '</div>';
    echo '<div class="alert alert-warning" role="alert">';
    echo 'Jika masalah ini berlanjut, hubungi developer melalui WhatsApp di <strong><a href="https://wa.me/6282257561165" class="text-primary">0822-5756-1165</a></strong> untuk bantuan lebih lanjut.';
    echo '</div>';
    exit;
}
$data = json_decode(file_get_contents($jsonFilePath ), true);
$pageTitle = isset($data['page_title']) ? $data['page_title'] : 'Judul Tidak Ditemukan';
$url = isset($data['url']) ? $data['url'] : '#';
$domain = isset($data['domain']) ? $data['domain'] : '#';
$webIcon = isset($data['web_icon']) ? $url . '/img/' . $data['web_icon'] : '';
$tumbn = isset($data['bg_header']) ? $data['bg_header'] : '#';
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta name="description" content="Read our privacy policy to understand how <?php echo htmlspecialchars($pageTitle); ?> collects, uses, and protects your personal information. Your privacy is important to us.">
  <meta name="keywords" content="privacy policy, data protection, personal information, <?php echo htmlspecialchars($pageTitle); ?>">
  <meta name="author" content="<?php echo htmlspecialchars($pageTitle); ?>">
  <meta property="og:title" content="<?php echo htmlspecialchars($pageTitle); ?> - Privacy Policy">
  <meta property="og:description" content="Read our privacy policy to understand how <?php echo htmlspecialchars($pageTitle); ?> collects, uses, and protects your personal information. Your privacy is important to us.">
  <meta property="og:image" content="<?php echo htmlspecialchars($url); ?>/img/<?php echo htmlspecialchars($tumbn); ?>">
  <meta property="og:url" content="<?php echo htmlspecialchars($currentUrl); ?>">
  <meta property="og:type" content="website">
  <meta property="og:site_name" content="<?php echo htmlspecialchars($pageTitle); ?>">
  <meta name="twitter:card" content="summary_large_image">
  <meta name="twitter:title" content="<?php echo htmlspecialchars($pageTitle); ?> - Privacy Policy">
  <meta name="twitter:description" content="Read our privacy policy to understand how <?php echo htmlspecialchars($pageTitle); ?> collects, uses, and protects your personal information. Your privacy is important to us.">
  <meta name="twitter:image" content="<?php echo htmlspecialchars($url); ?>/img/<?php echo htmlspecialchars($tumbn); ?>">
  <meta name="twitter:site" content="@<?php echo htmlspecialchars($pageTitle); ?>">
  <title><?php echo htmlspecialchars($pageTitle); ?> - Privacy Policy</title>
  <link rel="icon" href="<?php echo htmlspecialchars($webIcon); ?>" type="image/x-icon">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <link rel="stylesheet" href="../css/fontawesome-pro/css/all.min.css">
  <link rel="stylesheet" href="../css/styles.css">
  <script type="application/ld+json">
  {
    "@context": "https://schema.org",
    "@type": "WebPage",
    "name": "<?php echo htmlspecialchars($pageTitle); ?> - Privacy Policy",
    "description": "Read our privacy policy to understand how <?php echo htmlspecialchars($pageTitle); ?> collects, uses, and protects your personal information. Your privacy is important to us.",
    "url": "<?php echo htmlspecialchars($currentUrl); ?>",
    "publisher": {
      "@type": "Organization",
      "name": "<?php echo htmlspecialchars($pageTitle); ?>",
      "logo": {
        "@type": "ImageObject",
        "url": "<?php echo htmlspecialchars($url); ?>/img/<?php echo htmlspecialchars($tumbn); ?>",
        "width": 600,
        "height": 60
      }
    }
  }
  </script>
</head>
<body>
   <?php include '../tian/header.php'; ?>
   <?php include '../tian/sidebar.php'; ?>
  <div class="info-container">
    <a href="/" class="badge badge-warning badge-pill d-flex align-items-center p-2">
        <i class="fa-solid fa-house-chimney mr-1"></i> Home <i class="fa-solid fa-chevrons-right ml-1 mr-1"></i> Privacy Policy
    </a>
    <button id="themeToggle" class="btn btn-info btn-sm">
      <i class="fa-solid fa-moon-cloud"></i>
      <span id="themeToggleText"></span>
    </button>
  </div>
    <div class="container mt-5">
        <div class="text-center mb-2">
            <h1 class="badge badge-primary" style="font-size: 1.2rem;">Privacy Policy</h1>
        </div>
      <div class="row">
        <div class="col-md-8 offset-md-2">
          <div class="bg-dark p-4 rounded-lg shadow-lg border border-light">
            <h2 class="badge badge-danger" style="font-size: 1.2rem;">Introduction</h2>
            <p class="mb-4" style="font-size: 0.875rem;">Welcome to <?php echo htmlspecialchars($pageTitle); ?>. We are dedicated to safeguarding your privacy. This Privacy Policy outlines how we collect, use, and protect your personal information.</p>
            <h2 class="badge badge-danger" style="font-size: 1.2rem;">Information We Collect</h2>
            <p class="mb-4" style="font-size: 0.875rem;">We gather data such as your IP address, browser type, and browsing history to improve your experience and ensure service functionality.</p>
            <h2 class="badge badge-danger" style="font-size: 1.2rem;">How We Use Your Information</h2>
            <p class="mb-4" style="font-size: 0.875rem;">Your data helps us enhance services, provide support, and improve your experience. We will not share your information with third parties without your consent, except as required by law.</p>
            <h2 class="badge badge-danger" style="font-size: 1.2rem;">Data Security</h2>
            <p class="mb-4" style="font-size: 0.875rem;">We implement robust measures to protect your data from unauthorized access and breaches. However, we cannot guarantee complete security.</p>
            <h2 class="badge badge-danger" style="font-size: 1.2rem;">Your Rights</h2>
            <p class="mb-4" style="font-size: 0.875rem;">You have the right to access, correct, or delete your personal information. Please reach out to us at <a href="mailto:support@asupanviral.info" class="text-primary">support@asupanviral.info</a> for any requests.</p>
            <h2 class="badge badge-danger" style="font-size: 1.2rem;">Changes to This Policy</h2>
            <p class="mb-4" style="font-size: 0.875rem;">This policy may be updated periodically. We will post changes here, so we encourage you to review it regularly.</p>
            <h2 class="badge badge-danger" style="font-size: 1.2rem;">Contact Us</h2>
            <p style="font-size: 0.875rem;">For inquiries about this policy, contact us at <a href="mailto:support@asupanviral.info" class="text-primary">support@asupanviral.info</a>.</p>
          </div>
        </div>
      </div>
    </div>
    <?php include '../tian/footer.php'; ?>
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.5.2/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="../js/script.js"></script>
    <?php include '../tian/histats.php'; ?>
</body>
</html>