<?php
$jsonFilePath = '../tian/data.json';
if (!file_exists($jsonFilePath)) {
    echo '<div class="alert alert-danger d-flex align-items-center" role="alert">';
    echo '<i class="fas fa-exclamation-triangle mr-2"></i>';
    echo '<div>';
    echo 'File tidak ditemukan: <strong>' . htmlspecialchars($jsonFilePath) . '</strong>. Silakan periksa kembali.';
    echo '</div>';
    echo '</div>';
    echo '<div class="alert alert-warning" role="alert">';
    echo 'Jika masalah ini berlanjut, hubungi developer melalui WhatsApp di <strong><a href="https://wa.me/6282257561165" class="text-primary">0822-5756-1165</a></strong> untuk bantuan lebih lanjut.';
    echo '</div>';
    exit;
}
$data = json_decode(file_get_contents($jsonFilePath ), true);
$pageTitle = isset($data['page_title']) ? $data['page_title'] : 'Judul Tidak Ditemukan';
$url = isset($data['url']) ? $data['url'] : '#';
$domain = isset($data['domain']) ? $data['domain'] : '#';
$webIcon = isset($data['web_icon']) ? $url . '/img/' . $data['web_icon'] : '';
$tumbn = isset($data['bg_header']) ? $data['bg_header'] : '#';
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta name="description" content="Discover the Terms of Service for <?php echo htmlspecialchars($pageTitle, ENT_QUOTES, 'UTF-8'); ?>. Understand our rules, guidelines, and age restrictions to ensure a safe and compliant experience.">
  <meta name="keywords" content="<?php echo htmlspecialchars($pageTitle, ENT_QUOTES, 'UTF-8'); ?>, Terms of Service, adult content, age restrictions, compliance">
  <meta name="author" content="<?php echo htmlspecialchars($pageTitle, ENT_QUOTES, 'UTF-8'); ?>">
  <meta property="og:title" content="<?php echo htmlspecialchars($pageTitle, ENT_QUOTES, 'UTF-8'); ?> - Terms of Service">
  <meta property="og:description" content="Discover the Terms of Service for <?php echo htmlspecialchars($pageTitle, ENT_QUOTES, 'UTF-8'); ?>. Understand our rules, guidelines, and age restrictions to ensure a safe and compliant experience.">
  <meta property="og:image" content="<?php echo htmlspecialchars($url, ENT_QUOTES, 'UTF-8'); ?>/img/<?php echo htmlspecialchars($tumbn, ENT_QUOTES, 'UTF-8'); ?>">
  <meta property="og:url" content="<?php echo htmlspecialchars($url, ENT_QUOTES, 'UTF-8'); ?>">
  <meta property="og:type" content="website">
  <meta property="og:site_name" content="<?php echo htmlspecialchars($pageTitle, ENT_QUOTES, 'UTF-8'); ?>">
  <meta name="twitter:card" content="summary_large_image">
  <meta name="twitter:title" content="<?php echo htmlspecialchars($pageTitle, ENT_QUOTES, 'UTF-8'); ?> - Terms of Service">
  <meta name="twitter:description" content="Discover the Terms of Service for <?php echo htmlspecialchars($pageTitle, ENT_QUOTES, 'UTF-8'); ?>. Understand our rules, guidelines, and age restrictions to ensure a safe and compliant experience.">
  <meta name="twitter:image" content="<?php echo htmlspecialchars($url, ENT_QUOTES, 'UTF-8'); ?>/img/<?php echo htmlspecialchars($tumbn, ENT_QUOTES, 'UTF-8'); ?>">
  <meta name="twitter:site" content="@<?php echo htmlspecialchars($pageTitle, ENT_QUOTES, 'UTF-8'); ?>">
  <title><?php echo htmlspecialchars($pageTitle, ENT_QUOTES, 'UTF-8'); ?> - Terms of Service</title>
  <link rel="icon" href="<?php echo htmlspecialchars($webIcon, ENT_QUOTES, 'UTF-8'); ?>" type="image/x-icon">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <link rel="stylesheet" href="../css/fontawesome-pro/css/all.min.css">
  <link rel="stylesheet" href="../css/styles.css">
  <script type="application/ld+json">
  {
    "@context": "https://schema.org",
    "@type": "WebPage",
    "name": "<?php echo htmlspecialchars($pageTitle, ENT_QUOTES, 'UTF-8'); ?> - Terms of Service",
    "description": "Discover the Terms of Service for <?php echo htmlspecialchars($pageTitle, ENT_QUOTES, 'UTF-8'); ?>. Understand our rules, guidelines, and age restrictions to ensure a safe and compliant experience.",
    "url": "<?php echo htmlspecialchars($url, ENT_QUOTES, 'UTF-8'); ?>",
    "publisher": {
      "@type": "Organization",
      "name": "<?php echo htmlspecialchars($pageTitle, ENT_QUOTES, 'UTF-8'); ?>",
      "logo": {
        "@type": "ImageObject",
        "url": "<?php echo htmlspecialchars($url, ENT_QUOTES, 'UTF-8'); ?>/img/<?php echo htmlspecialchars($tumbn, ENT_QUOTES, 'UTF-8'); ?>",
        "width": 600,
        "height": 60
      }
    }
  }
  </script>
</head>
<body>
  <?php include '../tian/header.php'; ?>
  <?php include '../tian/sidebar.php'; ?>
  <div class="info-container">
    <a href="/" class="badge badge-warning badge-pill d-flex align-items-center p-2">
        <i class="fa-solid fa-house-chimney mr-1"></i> Home <i class="fa-solid fa-chevrons-right ml-1 mr-1"></i> Terms of Service
    </a>
    <button id="themeToggle" class="btn btn-info btn-sm">
      <i class="fa-solid fa-moon-cloud"></i>
      <span id="themeToggleText"></span>
    </button>
  </div>
  <div class="container mt-5">
    <div class="text-center mb-2">
        <h1 class="badge badge-primary" style="font-size: 1.2rem;">Terms of Service</h1>
    </div>
    <div class="row">
      <div class="col-md-8 offset-md-2">
        <div class="bg-dark p-4 rounded-lg shadow-lg border border-light">
          <h2 class="badge badge-danger" style="font-size: 1.2rem;">Introduction</h2>
          <p class="mb-4" style="font-size: 0.875rem;">Welcome to <?php echo htmlspecialchars($pageTitle, ENT_QUOTES, 'UTF-8'); ?>. By accessing or using our website, you agree to comply with and be bound by these Terms of Service. Please review them carefully.</p>
          
          <h2 class="badge badge-danger" style="font-size: 1.2rem;">Age Restriction</h2>
          <p class="mb-4" style="font-size: 0.875rem;">This website contains adult content and is intended for users who are at least 18 years old or the age of majority in their jurisdiction. By using this site, you confirm that you meet these age requirements.</p>
          
          <h2 class="badge badge-danger" style="font-size: 1.2rem;">User Responsibilities</h2>
          <p class="mb-4" style="font-size: 0.875rem;">You are responsible for your own conduct and must comply with all applicable laws and regulations. You must not use our site for any illegal or unauthorized purposes.</p>
          
          <h2 class="badge badge-danger" style="font-size: 1.2rem;">Content and Intellectual Property</h2>
          <p class="mb-4" style="font-size: 0.875rem;">All content on this website, including text, images, and videos, is owned by <?php echo htmlspecialchars($pageTitle, ENT_QUOTES, 'UTF-8'); ?> or licensed to us. You may not use, reproduce, or distribute our content without permission.</p>
          
          <h2 class="badge badge-danger" style="font-size: 1.2rem;">Disclaimer of Warranties</h2>
          <p class="mb-4" style="font-size: 0.875rem;">Our website is provided "as is" without any warranties. We do not guarantee the accuracy, reliability, or availability of the site. Use it at your own risk.</p>
          
          <h2 class="badge badge-danger" style="font-size: 1.2rem;">Limitation of Liability</h2>
          <p class="mb-4" style="font-size: 0.875rem;">We are not liable for any damages arising from your use of the site or any content on it. Your use of the site is at your own risk.</p>
          
          <h2 class="badge badge-danger" style="font-size: 1.2rem;">Modifications</h2>
          <p class="mb-4" style="font-size: 0.875rem;">We reserve the right to modify these Terms of Service at any time. Changes will be effective immediately upon posting on the site. Your continued use of the site after changes indicates your acceptance of the new terms.</p>
          
          <h2 class="badge badge-danger" style="font-size: 1.2rem;">Governing Law</h2>
          <p class="mb-4" style="font-size: 0.875rem;">These Terms of Service are governed by and construed in accordance with the laws of Japan. Any disputes arising out of or related to these terms shall be resolved in the courts located in Hidden.</p>
          
          <h2 class="badge badge-danger" style="font-size: 1.2rem;">Contact Us</h2>
          <p class="mb-4" style="font-size: 0.875rem;">If you have any questions or concerns about these Terms of Service, please contact us at info@<?php echo htmlspecialchars($domain, ENT_QUOTES, 'UTF-8'); ?>.</p>
        </div>
      </div>
    </div>
  </div>
    <?php include '../tian/footer.php'; ?>
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.5.2/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="../js/script.js"></script>
    <?php include '../tian/histats.php'; ?>
</body>
</html>