<?php
/**
 * @package     Footer Generator
 * @version     4.0
 * @author      Tiann Dev
 * @license     MIT License
 * @description Kode ini bertanggung jawab untuk menampilkan footer aplikasi web.
 *              Ini mencakup tautan alternatif, informasi legal, dan ikon media sosial. 
 *              Semua informasi diambil dari file JSON agar dapat diperbarui dengan mudah.
 * 
 *              Untuk bantuan lebih lanjut, jangan ragu untuk 
 *              menghubungi developer melalui WhatsApp di: 0822-5756-1165 (tian)
 * 
 * @license MIT License
 * Izinkan untuk menggunakan, menyalin, memodifikasi, menggabungkan, 
 * menerbitkan, mendistribusikan, sublicensikan, dan/atau menjual 
 * salinan perangkat lunak ini, sesuai dengan syarat-syarat dari 
 * MIT License. Perangkat lunak ini disediakan "sebagaimana adanya", 
 * tanpa jaminan apa pun, baik tersurat maupun tersirat.
 */
$url = isset($data['url']) ? $data['url'] : '#';
$telegram = isset($data['telegram']) ? $data['telegram'] : '#';
$pageTitle = isset($data['page_title']) ? $data['page_title'] : 'Judul Tidak Ditemukan';
$alternativeLink1 = isset($data['alternative_link_1']) ? $data['alternative_link_1'] : '#';
$alternativeLink2 = isset($data['alternative_link_2']) ? $data['alternative_link_2'] : '#';
$whatsapp = isset($data['whatsapp']) ? $data['whatsapp'] : '#';
$facebook = isset($data['facebook']) ? $data['facebook'] : '#';
$twitter = isset($data['twitter']) ? $data['twitter'] : '#';
$youtube = isset($data['youtube']) ? $data['youtube'] : '#';
?>   
    <footer class="footer">
      <div class="container">
        <div class="row">
            <div class="col-lg-3 col-md-6 mb-4">
              <h5 class="font-weight-bold text-uppercase mb-4">About <?php echo $pageTitle; ?></h5>
              <p class="text-light mx-2">
                Discover trending videos and viral content on <?php echo $pageTitle; ?>. Stay entertained with the latest in entertainment, news, and more. Join our community and stay updated with top video trends.
              </p>
            </div>
            <div class="col-lg-3 col-md-6 mb-4">
              <h5 class="font-weight-bold text-uppercase mb-4">Alternative Links</h5>
              <ul class="list-unstyled">
                <li class="mb-2">
                  <a href="/" class="text-light d-flex align-items-center p-2 border rounded hover-shadow">
                    <i class="fa-solid fa-house-chimney mr-2"></i> Home
                  </a>
                </li>
                <li class="mb-2">
                  <a href="<?php echo $alternativeLink1; ?>" class="text-light d-flex align-items-center p-2 border rounded hover-shadow" target="_blank">
                    <i class="fa-solid fa-globe-pointer mr-2"></i> link1.com <i class="fa-solid fa-badge-check text-primary ml-1"></i> <!--Ganti Dengan Yang Lain ( LInk 1 )-->
                  </a>
                </li>
                <li class="mb-2">
                  <a href="<?php echo $alternativeLink2; ?>" class="text-light d-flex align-items-center p-2 border rounded hover-shadow" target="_blank">
                    <i class="fa-regular fa-globe-pointer mr-2"></i> link2.com <i class="fa-solid fa-badge-check text-primary ml-1"></i> <!--Ganti Dengan Yang Lain ( LInk 2 )-->
                  </a>
                </li>
                <li class="mb-2">
                  <a href="<?php echo $url; ?>/premium-pricing/" class="text-light d-flex align-items-center p-2 border rounded hover-shadow" target="_blank">
                    <i class="fa-solid fa-circle-star mr-2"></i> Upgrade Premium
                  </a>
                </li>
                <li class="mb-2">
                  <a href="#" class="text-light d-flex align-items-center p-2 border rounded hover-shadow" target="_blank">
                    <div id="histats_counter"></div>
                  </a>
                </li>
              </ul>
            </div>
            <div class="col-lg-3 col-md-6 mb-4">
              <h5 class="font-weight-bold text-uppercase mb-4">Legal Links</h5>
              <ul class="list-unstyled">
                <li class="mb-2">
                  <a href="<?php echo $url; ?>/terms-of-service/" class="text-light d-flex align-items-center p-2 border rounded hover-shadow" target="_blank">
                    <i class="fa-solid fa-file-contract mr-2"></i> Terms of Service
                  </a>
                </li>
                <li class="mb-2">
                  <a href="<?php echo $url; ?>/privacy-policy/" class="text-light d-flex align-items-center p-2 border rounded hover-shadow" target="_blank">
                    <i class="fa-solid fa-file-shield mr-2"></i> Privacy Policy
                  </a>
                </li>
                <li class="mb-2">
                  <a href="<?php echo $url; ?>/disclaimer/" class="text-light d-flex align-items-center p-2 border rounded hover-shadow" target="_blank">
                    <i class="fa-solid fa-exclamation-triangle mr-2"></i> Disclaimer
                  </a>
                </li>
                <li class="mb-2">
                  <a href="<?php echo $url; ?>/dmca-policy/" class="text-light d-flex align-items-center p-2 border rounded hover-shadow" target="_blank">
                    <i class="fa-solid fa-file-alt mr-2"></i> DMCA Policy
                  </a>
                </li>
              </ul>
            </div>
            <div class="col-lg-3 col-md-6 mb-4">
              <h5 class="font-weight-bold text-uppercase mb-3">Follow Us</h5>
              <div class="social-icons mb-4">
                <a href="<?php echo $facebook; ?>" class="mx-2" target="_blank" rel="noopener noreferrer">
                  <img src="https://upload.wikimedia.org/wikipedia/commons/5/51/Facebook_f_logo_%282019%29.svg" alt="Facebook" width="24" height="24">
                </a>
                <a href="<?php echo $twitter; ?>" class="mx-2" target="_blank" rel="noopener noreferrer">
                  <img src="<?php echo $url; ?>/img/twitter.webp" alt="Twitter" width="24" height="24">
                </a>
                <a href="<?php echo $telegram; ?>" class="mx-2" target="_blank" rel="noopener noreferrer">
                  <img src="https://upload.wikimedia.org/wikipedia/commons/8/82/Telegram_logo.svg" alt="Telegram" width="24" height="24">
                </a>
                <a href="<?php echo $youtube; ?>" class="mx-2" target="_blank" rel="noopener noreferrer">
                  <img src="https://upload.wikimedia.org/wikipedia/commons/4/42/YouTube_icon_%282013-2017%29.png" alt="YouTube" width="24" height="24">
                </a>
                <a href="<?php echo $whatsapp; ?>" class="mx-2" target="_blank" rel="noopener noreferrer">
                  <img src="https://upload.wikimedia.org/wikipedia/commons/6/6b/WhatsApp.svg" alt="WhatsApp" width="24" height="24">
                </a>
              </div>
            </div>
            <div class="col-lg-3 col-md-6 mb-4">
              <h5 class="font-weight-bold text-uppercase mb-3">Gallery</h5>
              <div id="footerCarousel" class="carousel slide" data-ride="carousel">
                <div class="carousel-inner">
                  <div class="carousel-item active">
                    <img src="<?php echo $url; ?>/img/slide1.jpg" class="d-block w-100 carousel-img" alt="Gallery Image 1" loading="lazy">
                  </div>
                  <div class="carousel-item">
                    <img src="<?php echo $url; ?>/img/slide2.jpg" class="d-block w-100 carousel-img" alt="Gallery Image 2" loading="lazy">
                  </div>
                  <div class="carousel-item">
                    <img src="<?php echo $url; ?>/img/slide3.jpg" class="d-block w-100 carousel-img" alt="Gallery Image 3" loading="lazy"> 
                  </div>
                  <div class="carousel-item">
                    <img src="<?php echo $url; ?>/img/slide4.jpg" class="d-block w-100 carousel-img" alt="Gallery Image 4" loading="lazy">
                  </div>
                </div>
                <a class="carousel-control-prev" href="#footerCarousel" role="button" data-slide="prev">
                  <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                  <span class="sr-only">Previous</span>
                </a>
                <a class="carousel-control-next" href="#footerCarousel" role="button" data-slide="next">
                  <span class="carousel-control-next-icon" aria-hidden="true"></span>
                  <span class="sr-only">Next</span>
                </a>
              </div>
            </div>
        </div>
        <div class="text-center mt-4">
          <p class="mb-0">&copy; 2024 <?php echo $pageTitle; ?>. All rights reserved.</p>
        </div>
      </div>
    </footer>
    