<?php
/**
 * @package     Header Generator
 * @version     4.0
 * @author      Tiann Dev
 * @license     MIT License
 * @description Kode ini bertanggung jawab untuk menampilkan header aplikasi web.
 *              Ini mencakup navigasi, logo, dan fungsi pencarian. 
 *              Semua informasi diambil dari file JSON untuk kemudahan pembaruan.
 * 
 *              Untuk bantuan lebih lanjut, jangan ragu untuk 
 *              menghubungi developer melalui WhatsApp di: 0822-5756-1165 (tian)
 * 
 * @license MIT License
 * Izinkan untuk menggunakan, menyalin, memodifikasi, menggabungkan, 
 * menerbitkan, mendistribusikan, sublicensikan, dan/atau menjual 
 * salinan perangkat lunak ini, sesuai dengan syarat-syarat dari 
 * MIT License. Perangkat lunak ini disediakan "sebagaimana adanya", 
 * tanpa jaminan apa pun, baik tersurat maupun tersirat.
 */
$url = isset($data['url']) ? $data['url'] : '#';
$pageTitle = isset($data['page_title']) ? $data['page_title'] : 'Judul Tidak Ditemukan';
$bgHeader = isset($data['bg_header']) ? $url . '/img/' . $data['bg_header'] : '';
$logoHeader = isset($data['logo_header']) ? $url . '/img/' . $data['logo_header'] : '';
?>
  <nav class="navbar navbar-expand-lg navbar-light">
    <h1 class="sr-only"><?php echo $pageTitle; ?> - Trending Videos & Latest Viral Content</h1>
    <button class="navbar-toggler" type="button" id="sidebarToggle">
      <svg xmlns="http://www.w3.org/2000/svg" width="30" height="30" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
        <path d="M4 6h16M4 12h16m-7 6h7"/>
      </svg>
    </button>
    <a class="navbar-brand mx-auto" href="/">
      <img src="<?php echo $logoHeader; ?>" alt="<?php echo $pageTitle; ?> Logo" loading="lazy">
    </a>
    <div class="form-inline">
      <input class="form-control" type="search" placeholder="Search" aria-label="Search" id="searchInput">
      <i class="fa-regular fa-magnifying-glass" id="searchIcon"></i>
    </div>
  </nav>
  <div class="billboard" style="background: url('<?php echo $bgHeader; ?>') no-repeat center center; background-size: cover;"></div>