<?php
/**
 * @package     Sidebar Navigation
 * @version     4.0
 * @author      Tiann Dev
 * @license     MIT License
 * @description Kode ini dirancang untuk menghadirkan sidebar navigasi 
 *              yang elegan, memuat data dari file JSON dengan mudah. 
 *              Sidebar ini menawarkan akses cepat ke tautan penting 
 *              seperti Telegram, live streaming, dan opsi tambahan. 
 *              Dilengkapi notifikasi jika file JSON tidak ditemukan, 
 *              memastikan pengalaman pengguna yang optimal.
 * 
 *              🔧 Untuk bantuan lebih lanjut, jangan ragu untuk 
 *              menghubungi developer melalui WhatsApp di: 0822-5756-1165 (tian)
 * 
 * @license MIT License
 * Izinkan untuk menggunakan, menyalin, memodifikasi, menggabungkan, 
 * menerbitkan, mendistribusikan, sublicensikan, dan/atau menjual 
 * salinan perangkat lunak ini, sesuai dengan syarat-syarat dari 
 * MIT License. Perangkat lunak ini disediakan "sebagaimana adanya", 
 * tanpa jaminan apa pun, baik tersurat maupun tersirat.
 */
$url = isset($data['url']) ? $data['url'] : '#';
$direct_link = isset($data['direct_link']) ? $data['direct_link'] : '#';
$telegram = isset($data['telegram']) ? $data['telegram'] : '#';
?>
  <div id="sidebar">
    <div class="sidebar-content">
      <span class="text-center font-weight-bold my-4">
        <i class="fa-solid fa-badge-check text-primary"></i>
        <span>Tester</span><small class="text-muted">.tian</small> <!--Ganti Ini Dengan Punyamu Juga-->
      </span>
      <ul class="list-unstyled">
        <li class="mb-2 bg-primary rounded px-1 py-0">
          <a href="<?php echo $telegram; ?>" target="_blank" class="d-flex align-items-center text-white font-weight-bold" style="font-size: 0.85rem;">
            <img src="https://upload.wikimedia.org/wikipedia/commons/8/82/Telegram_logo.svg" alt="Telegram" width="20" height="20" style="margin-right: 8px;"> Join Telegram
          </a>
        </li>
        <li class="mb-2 bg-danger rounded px-1 py-0">
          <a href="<?php echo $direct_link; ?>" target="_blank" class="d-flex align-items-center text-white font-weight-bold" style="font-size: 0.85rem;">
            <img src="<?php echo $url; ?>/img/live_streaming.png" alt="Live Sex" width="20" height="20" style="margin-right: 8px;"> Watch Live Sex
          </a>
        </li>
        <li class="mb-2 bg-warning rounded px-1 py-0">
          <a href="<?php echo $url; ?>/premium-pricing/" class="d-flex align-items-center text-dark font-weight-bold" style="font-size: 0.85rem;">
            <img src="https://www.aerialfitonline.com/wp-content/uploads/2022/10/Aerial-Fit-Online-Premium-Overview.png" alt="Premium Pricing" width="20" height="20" style="margin-right: 8px;"> Premium pricing
          </a>
        </li>
        <li class="mb-2">
            <a href="#moreOptions" class="d-flex align-items-center text-white font-weight-bold rounded p-2 shadow-sm" data-toggle="collapse" aria-expanded="false" aria-controls="moreOptions" style="transition: background-color 0.3s ease;">
                <i class="fa-solid fa-bars-sort mr-2"></i> More Options
                <i class="fa-light fa-down-left-and-up-right-to-center ml-auto"></i>
            </a>
            <div id="moreOptions" class="collapse mt-2">
                <a class="dropdown-item d-flex align-items-center p-2 bg-dark text-white rounded mb-1" href="<?php echo $telegram; ?>" target="_blank" style="transition: transform 0.3s;">
                    <i class="fa-solid fa-check-circle mr-2 text-success"></i> Chat Forum
                </a>
                <a class="dropdown-item d-flex align-items-center p-2 bg-dark text-white rounded mb-1" href="<?php echo $url; ?>/affiliate-program/" target="_blank" style="transition: transform 0.3s;">
                    <i class="fa-solid fa-check-circle mr-2 text-warning"></i> Affiliate Program
                </a>
                <a class="dropdown-item d-flex align-items-center p-2 bg-dark text-white rounded mb-1" href="<?php echo $url; ?>/api-documentation/" target="_blank" style="transition: transform 0.3s;">
                    <i class="fa-solid fa-check-circle mr-2 text-danger"></i> API Documentation
                </a>
            </div>
        </li>
      </ul>
      <button id="hideSidebar" class="btn btn-light btn-sm rounded-circle shadow-sm" aria-label="Hide Sidebar">
          <i class="fa-solid fa-left-long-to-line"></i>
      </button>
    </div>
  </div>